<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

get_header(); 
$team_order = get_theme_mod( 'team_order', 'date' );
?>
    
<div class="inner-page team-page">
	<div class="container">
		
        <?php 
        $args = array(
            'post_type'      => 'team',
            'posts_per_page' => -1,
            'post_status'    => 'publish'
        );
    
        if( $team_order == 'menu_order' ){
            $args['orderby'] = 'menu_order title';            
            $args['order']   = 'ASC';
        }
        $qry = new WP_Query( $args );
        
        if ( $qry->have_posts() ) : ?>
			
            <div class="row">
    			<?php
    			/* Start the Loop */
    			while ( $qry->have_posts() ) : $qry->the_post();
    
    				/*
    				 * Include the Post-Format-specific template for the content.
    				 * If you want to override this in a child theme, then include a file
    				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
    				 */
    				get_template_part( 'template-parts/content', 'team' );
    
    			endwhile; ?>
            
            </div>
            
            <?php
            wp_reset_postdata();
            
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>			
		
	</div>
</div>
    
    
<?php
get_footer();
