<?php
/**
 * Dynamic Styles
 * 
 * @package Lawyer_Landing_Page_Pro
*/

function lawyer_landing_page_pro_dynamic_css(){
    
    $body_font      = get_theme_mod( 'body_font', array( 'font-family'=>'Raleway', 'variant'=>'regular' ) );    
    $body_fonts     = lawyer_landing_page_pro_get_fonts( $body_font['font-family'], $body_font['variant'] );
    $body_font_size = get_theme_mod( 'body_font_size', 16 );
    $body_line_ht   = get_theme_mod( 'body_line_height', 24 );
    $body_color     = get_theme_mod( 'body_color', '#757575' );
    
    $h1_font      = get_theme_mod( 'h1_font', array( 'font-family'=>'Raleway', 'variant'=>'regular') );
    $h1_fonts     = lawyer_landing_page_pro_get_fonts( $h1_font['font-family'], $h1_font['variant'] );
    $h1_font_size = get_theme_mod( 'h1_font_size', 48 );
    $h1_line_ht   = get_theme_mod( 'h1_line_height', 58 );
    $h1_color     = get_theme_mod( 'h1_color', '#353d47' );
    
    $h2_font      = get_theme_mod( 'h2_font', array('font-family'=>'Raleway', 'variant'=>'regular') );
    $h2_fonts     = lawyer_landing_page_pro_get_fonts( $h2_font['font-family'], $h2_font['variant'] );
    $h2_font_size = get_theme_mod( 'h2_font_size', 40 );
    $h2_line_ht   = get_theme_mod( 'h2_line_height', 48 );
    $h2_color     = get_theme_mod( 'h2_color', '#353d47' );
    
    $h3_font      = get_theme_mod( 'h3_font', array('font-family'=>'Raleway', 'variant'=>'regular') );
    $h3_fonts     = lawyer_landing_page_pro_get_fonts( $h3_font['font-family'], $h3_font['variant'] );
    $h3_font_size = get_theme_mod( 'h3_font_size', 32 );
    $h3_line_ht   = get_theme_mod( 'h3_line_height', 38 );
    $h3_color     = get_theme_mod( 'h3_color', '#353d47' );
    
    $h4_font      = get_theme_mod( 'h4_font', array('font-family'=>'Raleway', 'variant'=>'regular') );
    $h4_fonts     = lawyer_landing_page_pro_get_fonts( $h4_font['font-family'], $h4_font['variant'] );
    $h4_font_size = get_theme_mod( 'h4_font_size', 28 );
    $h4_line_ht   = get_theme_mod( 'h4_line_height', 34 );
    $h4_color     = get_theme_mod( 'h4_color', '#353d47' );
    
    $h5_font      = get_theme_mod( 'h5_font', array('font-family'=>'Raleway', 'variant'=>'regular') );
    $h5_fonts     = lawyer_landing_page_pro_get_fonts( $h5_font['font-family'], $h5_font['variant'] );
    $h5_font_size = get_theme_mod( 'h5_font_size', 24 );
    $h5_line_ht   = get_theme_mod( 'h5_line_height', 29 );
    $h5_color     = get_theme_mod( 'h5_color', '#353d47' );
    
    $h6_font      = get_theme_mod( 'h6_font', array('font-family'=>'Raleway', 'variant'=>'regular') );
    $h6_fonts     = lawyer_landing_page_pro_get_fonts( $h6_font['font-family'], $h6_font['variant'] );
    $h6_font_size = get_theme_mod( 'h6_font_size', 22 );
    $h6_line_ht   = get_theme_mod( 'h6_line_height', 26 );
    $h6_color     = get_theme_mod( 'h6_color', '#353d47' );
    
    $primary_color   = get_theme_mod( 'primary_color_scheme', '#168dd2' );
    $secondary_color = get_theme_mod( 'secondary_color_scheme', '#fa9d00' );
    $banerform_color = get_theme_mod( 'form_color_scheme', '#168dd2' );
    $bg_color        = get_theme_mod( 'bg_color', '#ffffff' );
    $body_bg         = get_theme_mod( 'body_bg', 'image' );
    $bg_image        = get_theme_mod( 'bg_image' );
    $bg_pattern      = get_theme_mod( 'bg_pattern', 'nobg' );
    $ed_auth_comment = get_theme_mod( 'ed_auth_comments' );
    
    $rgb = lawyer_landing_page_pro_hex2rgb( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); 
    
    $image = '';
    if( $body_bg == 'image' && $bg_image ){
        $image = $bg_image;    
    }elseif( $body_bg == 'pattern' && $bg_pattern != 'nobg' ){
        $image = get_template_directory_uri() . '/images/patterns/' . $bg_pattern . '.png';
    }
    
    echo "<style type='text/css' media='all'>"; ?>
    
    body,
    button,
    input,
    select,
    textarea{
    	font-size: <?php echo absint( $body_font_size ); ?>px;
    	line-height: <?php echo absint( $body_line_ht ); ?>px;
    	color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $body_color ); ?>;
    	font-family: <?php echo $body_fonts['font']; ?>;
        font-weight: <?php echo esc_attr( $body_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $body_fonts['style'] ); ?>;
    }

    body{
        background: url(<?php echo esc_url( $image ); ?>) <?php echo lawyer_landing_page_pro_sanitize_hex_color( $bg_color ); ?>;
    }
    
    #primary .post .entry-content h1,
    #primary .page .entry-content h1{
        font-family: <?php echo $h1_fonts['font']; ?>;
        font-size: <?php echo absint( $h1_font_size ); ?>px;
        font-weight: <?php echo esc_attr( $h1_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $h1_fonts['style'] ); ?>;
        line-height: <?php echo absint( $h1_line_ht ); ?>px;
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $h1_color ); ?>;
    }
    
    #primary .post .entry-content h2,
    #primary .page .entry-content h2{
        font-family: <?php echo $h2_fonts['font']; ?>;
        font-size: <?php echo absint( $h2_font_size ); ?>px;
        font-weight: <?php echo esc_attr( $h2_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $h2_fonts['style'] ); ?>;
        line-height: <?php echo absint( $h2_line_ht ); ?>px;
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $h2_color ); ?>;
    }
    
    #primary .post .entry-content h3,
    #primary .page .entry-content h3{
        font-family: <?php echo $h3_fonts['font']; ?>;
        font-size: <?php echo absint( $h3_font_size ); ?>px;
        font-weight: <?php echo esc_attr( $h3_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $h3_fonts['style'] ); ?>;
        line-height: <?php echo absint( $h3_line_ht ); ?>px;
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $h3_color ); ?>;
    }
    
    #primary .post .entry-content h4,
    #primary .page .entry-content h4{
        font-family: <?php echo $h4_fonts['font']; ?>;
        font-size: <?php echo absint( $h4_font_size ); ?>px;
        font-weight: <?php echo esc_attr( $h4_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $h4_fonts['style'] ); ?>;
        line-height: <?php echo absint( $h4_line_ht ); ?>px;
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $h4_color ); ?>;
    }
    
    #primary .post .entry-content h5,
    #primary .page .entry-content h5{
        font-family: <?php echo $h5_fonts['font']; ?>;
        font-size: <?php echo absint( $h5_font_size ); ?>px;
        font-weight: <?php echo esc_attr( $h5_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $h5_fonts['style'] ); ?>;
        line-height: <?php echo absint( $h5_line_ht ); ?>px;
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $h5_color ); ?>;
    }
    
    #primary .post .entry-content h6,
    #primary .page .entry-content h6{
        font-family: <?php echo $h6_fonts['font']; ?>;
        font-size: <?php echo absint( $h6_font_size ); ?>px;
        font-weight: <?php echo esc_attr( $h6_fonts['weight'] ); ?>;
        font-style: <?php echo esc_attr( $h6_fonts['style'] ); ?>;
        line-height: <?php echo absint( $h6_line_ht ); ?>px;
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $h6_color ); ?>;
    }
    
    /* primary color */
    a{
    	color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }
    
    a:hover,
    a:focus{
    	color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }

    .site-header .site-branding .site-description,
    .site-header .header-t .social-networks li a,
    .site-header .header-t .tools .tel-link,
    .main-navigation a,
    .about .header .title,
    .about .text-holder .sub-title a:hover,
    .about .text-holder .sub-title a:focus,
    .practice-area .header .title,
    .practice-area .box .sub-title a:hover,
    .practice-area .box .sub-title a:focus,
    .why-us .box .text-holder .sub-title a:hover,
    .why-us .box .text-holder .sub-title a:focus,
    .services-section .header .title,
    .services-section .services-holder .sub-title,
    .testimonial .header .title,
    .portfolio-section .header .title,
    .testimonial #carousel li .designation em,
    .team .header .title,
    .team .col .designation,
    .faq .header .title,
    .faq .col .question a:hover,
    .faq .col .question a:focus,
    .blog-section .header .title,
    .blog-section .post .entry-header .entry-title a:hover,
    .blog-section .post .entry-header .entry-title a:focus,
    .clients .header .title,
    .about-page .about-us-holder .right h2,
    .about-page h2.title,
    .about-page .practice-areas .box .sub-title a:hover,
    .about-page .practice-areas .box .sub-title a:focus,
    #crumbs a:hover,
    #crumbs a:focus,
    .error-holder h1,
    .search #primary article .entry-header .entry-title a:hover,
    .search #primary article .entry-header .entry-title a:focus,
    #primary .post .entry-header .entry-meta .posted-on:before,
    #primary .post .entry-header .entry-meta .tag-links:before,
    #primary .post .entry-header .entry-meta .cat-links:before,
    #primary .post .entry-header .entry-meta .comments-link:before,
    #primary .post .entry-header .entry-meta .byline:before,
    #primary .post .entry-header .entry-title a:hover,
    #primary .post .entry-header .entry-title a:focus,
    .search #primary .page .entry-header .entry-title a:hover,
    .search #primary .page .entry-header .entry-title a:focus,
    .contact-page .right-panel .contact-info .text a,
    #secondary .widget ul li a,
    .site-header .site-branding .site-title a,
    .team-page .team-holder .social-networks li a:hover,
    .team-page .team-holder .social-networks li a:focus,
    .services-page .services-holder .sub-title a,
    .site-header.header-2 .phone .tel-link,
    .site-header.header-3 .header-t .tel-link:hover,
    .site-header.header-3 .header-t .tel-link:focus,
    #search-btn,
    .site-header.header-3 .header-b .main-navigation .current_page_item > a,
    .site-header.header-3 .header-b .main-navigation .current-menu-item > a,
    .site-header.header-3 .header-b .main-navigation .current_page_ancestor > a,
    .site-header.header-3 .header-b .main-navigation .current-menu-ancestor > a,
    .site-header.header-5 .secondary-nav ul li a:hover,
    .site-header.header-5 .secondary-nav ul li a:focus,
    .site-header.header-5 .secondary-nav ul .current-menu-item > a,
    .site-header.header-5 .secondary-nav ul .current-menu-ancestor > a,
    .site-header.header-5 .secondary-nav ul .current_page_item > a,
    .site-header.header-5 .secondary-nav ul .current_page_ancestor > a,
    .site-header.header-5 .header-t .right .phone .tel-link:hover,
    .site-header.header-5 .header-t .right .phone .tel-link:focus,
    .site-header.header-8 .header-top-bar .secondary-nav ul li a:hover,
    .site-header.header-8 .header-top-bar .secondary-nav ul li a:focus,
    .site-header.header-8 .header-top-bar .secondary-nav ul li:hover > a,
    .site-header.header-8 .header-top-bar .secondary-nav ul li:focus > a,
    .site-header.header-8 .header-top-bar .secondary-nav ul .current-menu-item > a,
    .site-header.header-8 .header-top-bar .secondary-nav ul .current-menu-ancestor > a,
    .site-header.header-8 .header-top-bar .secondary-nav ul .current_page_item > a,
    .site-header.header-8 .header-top-bar .secondary-nav ul .current_page_ancestor > a,
    .site-header.header-8 .header-t .right .phone .tel-link:hover,
    .site-header.header-8 .header-t .right .phone .tel-link:focus,
    .site-header.header-9 .header-t .phone .tel-link:hover,
    .site-header.header-9 .header-t .phone .tel-link:focus,
    .site-footer .widget.widget_rttk_pro_icon_text_widget .icon-holder,
    .single-team .col .team-info .social-networks li a:hover,
    .single-team .col .team-info .social-networks li a:focus,
    .home .contact .header .title,
    .about-page .header .title,
    .widget_rttk_pro_icon_text_widget .widget-title a:hover,
    .widget_rttk_pro_icon_text_widget .widget-title a:focus,
    .comments-area .comment-list .comment-body .comment-metadata a:hover,
    #secondary .widget_rttk_pro_stat_counter_widget .col .icon-holder{
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }

    .site-header .header-t .social-networks li a,
    .rara_toggle,
    #primary .entry-content .rara_tab_wrap .rara_tab_group .tab-title,
    #primary .post .entry-content .rara_accordian, #primary .page .entry-content .rara_accordian{
        border-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }

    .banner .wpcf7,
    .banner .quote-form,
    #secondary .widget.widget_rttk_pro_icon_text_widget .icon-holder{
        background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $banerform_color ); ?>;
    }

    .site-header .header-t .social-networks li a:hover,
    .site-header .header-t .social-networks li a:focus,
    .portfolio-holder .col .img-holder .text-holder a,
    .site-header.header-2 .header-b,
    .site-header.header-2 .header-b .main-navigation ul ul,
    .site-header.header-3 .header-b .main-navigation ul li:after,
    .site-header.header-7 .header-top-bar,
    .site-header.header-7 .secondary-nav ul ul,
    .site-header.header-8 .header-b,
    .site-header.header-8 .header-b .main-navigation ul ul,
    .site-header.header-9 .header-b,
    .site-header.header-9 .header-b .main-navigation ul ul,
    .comments-area .comment-list .comment-body .reply a,
    .rara_toggle .rara_toggle_title,
    #primary .entry-content .rara_call_to_action_button,
    #primary .entry-content .rara_tab_wrap .rara_tab_group .tab-title.active,
    #primary .entry-content .rara_tab_wrap .rara_tab_group .tab-title:hover,
    #primary .entry-content .rara_tab_wrap .rara_tab_group .tab-title:focus,
    #primary .post .entry-content .rara_accordian .rara_accordian_title,
    #primary .page .entry-content .rara_accordian .rara_accordian_title{
        background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }

    .sc-panel:after{
        <?php echo 'background: rgba(' . $rgb[0] . ', ' . $rgb[1] . ', ' . $rgb[2] . ', 0.4);'; ?>
    }

    .portfolio-holder .col .img-holder .text-holder,
    .team .col .img-holder .text-holder{
        <?php echo 'background: rgba(' . $rgb[0] . ', ' . $rgb[1] . ', ' . $rgb[2] . ', 0.85);'; ?>
    }

    .site-header .header-b .search-form input[type="submit"],
    .widget.widget_search .search-form input[type="submit"],
    .search #primary .search-form input[type="submit"]{
        background-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }

    .widget.widget_tag_cloud .tagcloud a:hover,
    .widget.widget_tag_cloud .tagcloud a:focus{
        background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
        border-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
    }

    .site-header.header-2 .phone .tel-link:hover,
    .site-header.header-2 .phone .tel-link:focus{
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
        opacity: 0.7;
    }

    /*secondary color*/
    button,
    input[type="button"],
    input[type="reset"],
    input[type="submit"],
    .promotional-block .btn-contact,
    .blog-section .btn-holder a,
    .search #primary article .entry-footer .btn-readmore,
    #primary .post .entry-footer .btn-readmore,
    .search #primary .page .entry-footer .btn-readmore,
    .site-header.header-2 .header-t .btn-request,
    .site-header.header-3 .header-t .btn-request,
    .site-header.header-4 .header-t .btn-request,
    .site-header.header-4 .main-navigation ul li a:hover,
    .site-header.header-4 .main-navigation ul li a:focus,
    .site-header.header-4 .main-navigation ul li:hover > a,
    .site-header.header-4 .main-navigation ul li:focus > a,
    .site-header.header-4 .main-navigation ul .current-menu-item > a,
    .site-header.header-4 .main-navigation ul .current-menu-ancestor > a,
    .site-header.header-4 .main-navigation ul .current_page_item > a,
    .site-header.header-4 .main-navigation ul .current_page_ancestor > a,
    .site-header.header-5 .header-t .right .btn-request,
    .site-header.header-7 .header-b .main-navigation ul li a:hover,
    .site-header.header-7 .header-b .main-navigation ul li a:focus,
    .site-header.header-7 .header-b .main-navigation ul li:hover > a,
    .site-header.header-7 .header-b .main-navigation ul li:focus > a,
    .site-header.header-7 .header-b .main-navigation ul .current-menu-item > a,
    .site-header.header-7 .header-b .main-navigation ul .current-menu-ancestor > a,
    .site-header.header-7 .header-b .main-navigation ul .current_page_item > a,
    .site-header.header-7 .header-b .main-navigation ul .current_page_ancestor > a,
    .site-header.header-8 .header-t .btn-request,
    .site-header.header-9 .header-t .col .btn-request,
    .site-header.header-9 .header-b .main-navigation ul li a:before,
    .services-section .btn-holder a,
    .portfolio-section .btn-holder a,
    .testimonial .btn-holder a,
    .faq .btn-holder a,
    .team .btn-holder a,
    .bslider .banner-text .text-holder .btn,
    #load-posts a{
        background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ); ?>;
    }

    .banner .wpcf7 input[type="submit"]:hover,
    .banner .quote-form input[type="submit"]:hover,
    .promotional-block .btn-contact:hover,
    .promotional-block .btn-contact:focus,
    .blog-section .btn-holder a:hover,
    .blog-section .btn-holder a:focus,
    button:hover,
    input[type="button"]:hover,
    input[type="reset"]:hover,
    input[type="submit"]:hover,
    .search #primary article .entry-footer .btn-readmore:hover,
    .search #primary article .entry-footer .btn-readmore:focus,
    #primary .post .entry-footer .btn-readmore:hover,
    #primary .post .entry-footer .btn-readmore:focus,
    .search #primary .page .entry-footer .btn-readmore:hover,
    .search #primary .page .entry-footer .btn-readmore:focus,
    .site-header.header-2 .header-t .btn-request:hover,
    .site-header.header-2 .header-t .btn-request:focus,
    .site-header.header-3 .header-t .btn-request:hover,
    .site-header.header-3 .header-t .btn-request:focus,
    .site-header.header-4 .header-t .btn-request:hover,
    .site-header.header-4 .header-t .btn-request:focus,
    .site-header.header-5 .header-t .right .btn-request:hover,
    .site-header.header-5 .header-t .right .btn-request:focus,
    .site-header.header-8 .header-t .btn-request:hover,
    .site-header.header-8 .header-t .btn-request:focus,
    .site-header.header-9 .header-t .col .btn-request:hover,
    .site-header.header-9 .header-t .col .btn-request:focus,
    .services-section .btn-holder a:hover,
    .services-section .btn-holder a:focus,
    .portfolio-section .btn-holder a:hover,
    .portfolio-section .btn-holder a:focus,
    .testimonial .btn-holder a:hover,
    .testimonial .btn-holder a:focus,
    .faq .btn-holder a:hover,
    .faq .btn-holder a:focus,
    .team .btn-holder a:hover,
    .team .btn-holder a:focus{
        background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ); ?>;
        opacity: 0.8;
    }

    .site-header.header-3 .header-t .tel-link:before,
    .site-header.header-4 .header-top-bar .secondary-nav ul li a:hover,
    .site-header.header-4 .header-top-bar .secondary-nav ul li a:focus,
    .site-header.header-4 .header-top-bar .secondary-nav ul li:hover > a,
    .site-header.header-4 .header-top-bar .secondary-nav ul li:focus > a,
    .site-header.header-4 .header-top-bar .secondary-nav ul .current_page_item > a,
    .site-header.header-4 .header-top-bar .secondary-nav ul .current_page_ancestor > a,
    .site-header.header-4 .header-top-bar .secondary-nav ul .current-menu-item > a,
    .site-header.header-4 .header-top-bar .secondary-nav ul .current-menu-ancestor > a,
    .site-header.header-4 .header-t .phone span,
    .site-header.header-5 .header-t .right .phone:before,
    .site-header.header-6 .main-navigation ul li a:hover,
    .site-header.header-6 .main-navigation ul li a:focus,
    .site-header.header-6 .main-navigation ul li:hover > a,
    .site-header.header-6 .main-navigation ul li:focus > a,
    .site-header.header-6 .main-navigation ul .current-menu-item > a,
    .site-header.header-6 .main-navigation ul .current-menu-ancestor > a,
    .site-header.header-6 .main-navigation ul .current_page_item > a,
    .site-header.header-6 .main-navigation ul .current_page_ancestor > a,
    .site-header.header-7 .secondary-nav ul li a:hover,
    .site-header.header-7 .secondary-nav ul li a:focus,
    .site-header.header-7 .secondary-nav ul li:hover > a,
    .site-header.header-7 .secondary-nav ul li:focus > a,
    .site-header.header-7 .secondary-nav ul .current-menu-item > a,
    .site-header.header-7 .secondary-nav ul .current-menu-ancestor > a,
    .site-header.header-7 .secondary-nav ul .current_page_item > a,
    .site-header.header-7 .secondary-nav ul .current_page_ancestor > a,
    .site-header.header-7 .header-t .tel-link:hover,
    .site-header.header-7 .header-t .tel-link:focus,
    .site-header.header-8 .header-t .right .phone:before,
    .site-header.header-9 .header-t .phone .tel-link,
    .site-header.header-9 .header-t .email .email-link,
    .portfolio-holder .button-group .is-checked{
        color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ); ?>;
    }

    .site-header.header-7 .header-t .btn-request,
    .portfolio-holder .button-group button{
        border-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ); ?>;
    }

    .site-header.header-7 .header-t .btn-request:hover,
    .site-header.header-7 .header-t .btn-request:focus{
        background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ); ?>;
    }

    .blog-section .post .entry-header .posted-on a:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); ?>" d="M12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm436-44v-36c0-26.5-21.5-48-48-48h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v36c0 6.6 5.4 12 12 12h424c6.6 0 12-5.4 12-12z"></path></svg>');
    }
    
    #primary .post .entry-header .entry-meta .tag-links:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); ?>" d="M497.941 225.941L286.059 14.059A48 48 0 0 0 252.118 0H48C21.49 0 0 21.49 0 48v204.118a48 48 0 0 0 14.059 33.941l211.882 211.882c18.744 18.745 49.136 18.746 67.882 0l204.118-204.118c18.745-18.745 18.745-49.137 0-67.882zM112 160c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm513.941 133.823L421.823 497.941c-18.745 18.745-49.137 18.745-67.882 0l-.36-.36L527.64 323.522c16.999-16.999 26.36-39.6 26.36-63.64s-9.362-46.641-26.36-63.64L331.397 0h48.721a48 48 0 0 1 33.941 14.059l211.882 211.882c18.745 18.745 18.745 49.137 0 67.882z"></path></svg>');
    }
    
    #primary .post .entry-header .entry-meta .posted-on:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); ?>" d="M400 64h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zm-6 400H54c-3.3 0-6-2.7-6-6V160h352v298c0 3.3-2.7 6-6 6z"></path></svg>');
    }

    #primary .post .entry-header .entry-meta .cat-links:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); ?>" d="M527.943 224H480v-48c0-26.51-21.49-48-48-48H272l-64-64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h400a48.001 48.001 0 0 0 40.704-22.56l79.942-128c19.948-31.917-3.038-73.44-40.703-73.44zM54 112h134.118l64 64H426a6 6 0 0 1 6 6v42H152a48 48 0 0 0-41.098 23.202L48 351.449V117.993A5.993 5.993 0 0 1 54 112zm394 288H72l77.234-128H528l-80 128z"></path></svg>');
    }

    #primary .post .entry-header .entry-meta .comments-link:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); ?>" d="M256 32C114.6 32 0 125.1 0 240c0 47.6 19.9 91.2 52.9 126.3C38 405.7 7 439.1 6.5 439.5c-6.6 7-8.4 17.2-4.6 26S14.4 480 24 480c61.5 0 110-25.7 139.1-46.3C192 442.8 223.2 448 256 448c141.4 0 256-93.1 256-208S397.4 32 256 32zm0 368c-26.7 0-53.1-4.1-78.4-12.1l-22.7-7.2-19.5 13.8c-14.3 10.1-33.9 21.4-57.5 29 7.3-12.1 14.4-25.7 19.9-40.2l10.6-28.1-20.6-21.8C69.7 314.1 48 282.2 48 240c0-88.2 93.3-160 208-160s208 71.8 208 160-93.3 160-208 160z"></path></svg>');
    }

    #primary .post .entry-header .entry-meta .byline:before{
      background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $primary_color ) ); ?>" d="M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"></path></svg>');
    }

    .site-header.header-3 .header-t .tel-link:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ) ); ?>" d="M272 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h224c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM160 480c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm112-108c0 6.6-5.4 12-12 12H60c-6.6 0-12-5.4-12-12V60c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v312z"></path></svg>');
    }

    .site-header.header-5 .header-t .right .phone:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ) ); ?>" d="M493.4 24.6l-104-24c-11.3-2.6-22.9 3.3-27.5 13.9l-48 112c-4.2 9.8-1.4 21.3 6.9 28l60.6 49.6c-36 76.7-98.9 140.5-177.2 177.2l-49.6-60.6c-6.8-8.3-18.2-11.1-28-6.9l-112 48C3.9 366.5-2 378.1.6 389.4l24 104C27.1 504.2 36.7 512 48 512c256.1 0 464-207.5 464-464 0-11.2-7.7-20.9-18.6-23.4z"></path></svg>');
    }

    .site-header.header-8 .header-t .right .phone:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ) ); ?>" d="M493.4 24.6l-104-24c-11.3-2.6-22.9 3.3-27.5 13.9l-48 112c-4.2 9.8-1.4 21.3 6.9 28l60.6 49.6c-36 76.7-98.9 140.5-177.2 177.2l-49.6-60.6c-6.8-8.3-18.2-11.1-28-6.9l-112 48C3.9 366.5-2 378.1.6 389.4l24 104C27.1 504.2 36.7 512 48 512c256.1 0 464-207.5 464-464 0-11.2-7.7-20.9-18.6-23.4z"></path></svg>');
    }

    .site-header.header-8 .header-t .right address:before{
        background-image: url('data:image/svg+xml; utf-8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="<?php echo lawyer_landing_page_pro_hash_to_percent23( lawyer_landing_page_pro_sanitize_hex_color( $secondary_color ) ); ?>" d="M493.4 24.6l-104-24c-11.3-2.6-22.9 3.3-27.5 13.9l-48 112c-4.2 9.8-1.4 21.3 6.9 28l60.6 49.6c-36 76.7-98.9 140.5-177.2 177.2l-49.6-60.6c-6.8-8.3-18.2-11.1-28-6.9l-112 48C3.9 366.5-2 378.1.6 389.4l24 104C27.1 504.2 36.7 512 48 512c256.1 0 464-207.5 464-464 0-11.2-7.7-20.9-18.6-23.4z"></path></svg>');
    }
    
    <?php if( $ed_auth_comment ){ ?>
        /* Author Comment Style */
        .comments-area .comment-list .bypostauthor > .comment-body{
            padding: 15px;
            background: #ededed;
        }
    
    <?php } ?>
    
    <?php if( is_woocommerce_activated() ) { ?>
        /* Woo Commerce Style */
        .woocommerce span.onsale,
        .woocommerce #respond input#submit,
        .woocommerce a.button,
        .woocommerce button.button,
        .woocommerce input.button,
        .woocommerce a.added_to_cart,
        .woocommerce #respond input#submit.alt,
        .woocommerce a.button.alt,
        .woocommerce button.button.alt,
        .woocommerce input.button.alt{
            background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
        }

        .woocommerce a.button:hover,
        .woocommerce a.button:focus,
        .woocommerce #respond input#submit:hover,
        .woocommerce #respond input#submit:focus,
        .woocommerce button.button:hover,
        .woocommerce button.button:focus,
        .woocommerce input.button:hover,
        .woocommerce input.button:focus,
        .woocommerce a.added_to_cart:hover,
        .woocommerce a.added_to_cart:focus,
        .woocommerce #respond input#submit.alt:hover,
        .woocommerce a.button.alt:hover,
        .woocommerce button.button.alt:hover,
        .woocommerce input.button.alt:hover,
        .woocommerce #respond input#submit.alt:focus,
        .woocommerce a.button.alt:focus,
        .woocommerce button.button.alt:focus,
        .woocommerce input.button.alt:focus{
           background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
           opacity: 0.8; 
        }

        .woocommerce nav.woocommerce-pagination ul li a{
            border-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
        }

        .woocommerce nav.woocommerce-pagination ul li a:focus,
        .woocommerce nav.woocommerce-pagination ul li a:hover,
        .woocommerce nav.woocommerce-pagination ul li span.current{
            background: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
            border-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
        }

        .woocommerce .woocommerce-product-search input[type="submit"]{
            background-color: <?php echo lawyer_landing_page_pro_sanitize_hex_color( $primary_color ); ?>;
        }
            
    <?php } ?>
    
    <?php echo "</style>";
}
add_action( 'wp_head', 'lawyer_landing_page_pro_dynamic_css', 99 );

/**
 * Function for sanitizing Hex color 
 */
function lawyer_landing_page_pro_sanitize_hex_color( $color ){
	if ( '' === $color )
		return '';

    // 3 or 6 hex digits, or the empty string.
	if ( preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color ) )
		return $color;
}

/**
 * convert hex to rgb
 * @link http://bavotasan.com/2011/convert-hex-color-to-rgb-using-php/
*/
function lawyer_landing_page_pro_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}

/**
 * Convert '#' to '%23'
*/
function lawyer_landing_page_pro_hash_to_percent23( $color_code ){
    $color_code = str_replace( "#", "%23", $color_code );
    return $color_code;
}