<?php
/**
 * Lawyer Landing Page Pro functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Lawyer_Landing_Page_Pro
 */

//define theme version
if ( ! defined( 'LAWYER_LANDING_PAGE_PRO_THEME_VERSION' ) ) {
	$theme_data = wp_get_theme();	
	define ( 'LAWYER_LANDING_PAGE_PRO_THEME_VERSION', $theme_data->get( 'Version' ) );
}

/**
 * Implement the Custom functions.
 */
require get_template_directory() . '/inc/custom-functions.php';

/**
 * Custom template function for this theme.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Custom template hooks for this theme.
 */
require get_template_directory() . '/inc/template-hooks.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Custom Controls 
*/
require get_template_directory() . '/inc/custom-controls/custom-control.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';

/**
 * Widgets.
 */
require get_template_directory() . '/inc/widgets.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

/**
 * Load performance features.
 */
require get_template_directory() . '/inc/performance.php';

/**
 * Plugin Recommendation
*/
require get_template_directory() . '/inc/tgmpa/recommended-plugins.php';

/**
 * CPT
*/
require get_template_directory() . '/inc/cpt/custom-post.php';

/**
 * Metabox
*/
require get_template_directory() . '/inc/cpt/metabox.php';

/**
 * Demo content
*/
require get_template_directory() . '/inc/demo-content.php';

/**
 * Rara Theme Toolkit Functions
*/
require get_template_directory() . '/inc/rttk-functions.php';

/**
 * Add theme compatibility function for woocommerce if active
*/
if( is_woocommerce_activated() )
require get_template_directory() . '/inc/woocommerce-functions.php';

/**
 * Typography Functions
*/
require get_template_directory() . '/inc/typography-functions.php';

/**
 * Dynamic Styles
*/
require get_template_directory() . '/css/style.php';

/**
 * Theme Updater
*/
require get_template_directory() . '/updater/theme-updater.php';

/**
 * Demo Import
*/
require get_template_directory() . '/inc/import-hooks.php';