<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Lawyer_Landing_Page_Pro
 */

/**
     * Doctype Hook
     * 
     * @hooked lawyer_landing_page_pro_doctype_cb
    */
    do_action( 'lawyer_landing_page_pro_doctype' );
?>
<head itemscope itemtype="http://schema.org/WebSite">

<?php 
    
    /**
     * Before wp_head
     * 
     * @hooked lawyer_landing_page_pro_head
    */
    do_action( 'lawyer_landing_page_pro_before_wp_head' );
    
    wp_head(); 

?>
</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">

<?php
    /**
     * Before Header
     * 
     * @hooked lawyer_landing_page_pro_page_start - 20 
    */
    do_action( 'lawyer_landing_page_pro_before_header' );
    
    /**
     * Lawyer_Landing_Page Header
     * 
     * @hooked lawyer_landing_page_pro_header - 20     
    */
    do_action( 'lawyer_landing_page_pro_header' );
    
    /**
     * Before Content
     * 
     * @hooked lawyer_landing_page_pro_pg_header - 20
    */
    do_action( 'lawyer_landing_page_pro_before_content' );
    
    /**
     * Lawyer_Landing_Page Content
     * 
     * @hooked lawyer_landing_page_pro_content_start
    */
    do_action( 'lawyer_landing_page_pro_content' );