<?php
/**
 * Rara Theme custom post and taxonomy definitions.
 *
 * @package Rara_Theme
 */
 
if( is_rara_toolkit_activated() ) :
//only execute if Rara Theme Toolkit plugin is installed and activated
    
/**
 * Filter the CPT generated by RTTK
*/    
function lawyer_landing_page_pro_cpt(){
    
    $posts = array(
		'faq' => array( 
			'singular_name'	      => __( 'FAQ', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'FAQs', 'lawyer-landing-page-pro' ),
			'dashicon'		      => 'dashicons-megaphone',
            'has_archive'         => true,		
			'exclude_from_search' => false,
			'show_in_nav_menus'	  => true,
			'supports' 			  => array( 'title', 'editor', 'excerpt' ),
		),
		'logo' => array( 
			'singular_name'	      => __( 'Client Logo', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'Client Logos', 'lawyer-landing-page-pro' ),
			'dashicon'		      => 'dashicons-images-alt2',
			'taxonomy'		      => 'logo_categories',
			'taxonomy_slug'	      => 'logos',
            'has_archive'         => false,		
			'exclude_from_search' => true,
			'show_in_nav_menus'	  => false,
			'supports' 			  => array( 'title', 'thumbnail' ),
            
		),
        'practice' => array( 
			'singular_name'	      => __( 'Practice', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'Practices', 'lawyer-landing-page-pro' ),
			'dashicon'		      => 'dashicons-pressthis',
            'has_archive'         => false,		
			'exclude_from_search' => false,
			'show_in_nav_menus'	  => false,
			'supports' 			  => array( 'title', 'editor', 'thumbnail', 'excerpt' ),
		),
        'service' => array( 
			'singular_name'	      => __( 'Service', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'Services', 'lawyer-landing-page-pro' ),
			'dashicon'		      => 'dashicons-clipboard',
            'has_archive'         => true,		
			'exclude_from_search' => false,
			'show_in_nav_menus'	  => true,
			'supports' 			  => array( 'title', 'editor', 'thumbnail', 'excerpt' ),
		),
		'portfolio' => array( 
			'singular_name'	      => __( 'Portfolio', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'Portfolios', 'lawyer-landing-page-pro' ),
			'dashicon'		      => 'dashicons-portfolio',
			'taxonomy'		      => 'portfolio_categories',
			'taxonomy_slug'	      => 'portfolios',
            'has_archive'         => true,		
			'exclude_from_search' => false,
			'show_in_nav_menus'	  => true,
			'supports' 			  => array( 'title', 'editor', 'thumbnail' ),
		),
		'team' => array( 
			'singular_name'	      => __( 'Team Member', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'Team Members', 'lawyer-landing-page-pro' ),
			'dashicon'	          => 'dashicons-groups',
            'has_archive'         => true,		
			'exclude_from_search' => false,
			'show_in_nav_menus'	  => true,
			'supports' 			  => array( 'title', 'editor', 'thumbnail', 'excerpt' ),
			'path'				  => RTTKPRO_BASE_PATH.'/includes/meta-parts/',
		),
		'testimonial' => array( 
			'singular_name'	      => __( 'Testimonial', 'lawyer-landing-page-pro' ),
			'general_name'	      => __( 'Testimonials', 'lawyer-landing-page-pro' ),
			'dashicon'	          => 'dashicons-testimonial',
            'has_archive'         => true,		
			'exclude_from_search' => false,
			'show_in_nav_menus'	  => true,
			'supports' 			  => array( 'title', 'editor', 'thumbnail' ),
			'path'				  => RTTKPRO_BASE_PATH.'/includes/meta-parts/',
		),
    );
    
    return $posts;
}   
add_filter( 'rttk_get_posttype_array', 'lawyer_landing_page_pro_cpt' ); 


/* Remove Unuse Post Type coming from Toolkit plugin **/
function lawyer_landing_page_pro_remove_post_type(){
    $options =  array('course','event');
    return $options;       
}
add_filter( 'rttk_remove_get_posttype_array','lawyer_landing_page_pro_remove_post_type' );

endif;