<?php
/**
 * Client Logo Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about_client( $wp_customize ) {
    
    /** Logo Section */
    $wp_customize->add_section(
        'about_logo_settings',
        array(
            'title'    => __( 'Client Logo Section', 'lawyer-landing-page-pro' ),
            'priority' => 40,
            'panel'    => 'about_page_settings',
        )
    );
    
    /** Practice Section Title  */
    $wp_customize->add_setting(
        'client_section_title',
        array(
            'default'           => __( 'Our Clients', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'client_section_title',
        array(
            'label'       => __( 'Client Section Title', 'lawyer-landing-page-pro' ),
            'section'     => 'about_logo_settings',
            'type'        => 'text',            
        )
    );
    
    /** Client Section Description  */
    $wp_customize->add_setting(
        'client_section_desc',
        array(
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur tristique vitae magna eget elementum. Cras sed mattis enim. Duis non finibus mauris, id auctor arcu.', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'wp_kses_post',
        )
    );
    
    $wp_customize->add_control(
        'client_section_desc',
        array(
            'label'   => __( 'Client Section Description', 'lawyer-landing-page-pro' ),
            'section' => 'about_logo_settings',
            'type'    => 'textarea',            
        )
    );
    
    if( taxonomy_exists( 'logo_categories' ) ){
        /** Select Category */
        $wp_customize->add_setting(
    		'about_logo_cat',
    		array(
    			'default'			=> '',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'about_logo_cat',
        		array(
                    'label'	      => __( 'Logo Category', 'lawyer-landing-page-pro' ),
                    'description' => __( 'Choose logo category for about page.', 'lawyer-landing-page-pro' ),
        			'section'     => 'about_logo_settings',
        			'choices'     => lawyer_landing_page_pro_get_categories( true, 'logo_categories', true ),	
         		)
    		)
    	);
    }else{
        $wp_customize->add_setting(
    		'about_client_note',
    		array(
    			'sanitize_callback' => 'wp_kses_post'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Info_Text( 
    			$wp_customize,
    			'about_client_note',
    			array(
    				'section' => 'about_logo_settings', 
                    'label'       => __( 'Logo Category', 'lawyer-landing-page-pro' ),   				
                    'description' => sprintf( __( 'Please add logo category after installing and activating the %1$sRara Theme Tool Kit Pro%2$s which you have received along with this theme. After that logo category will be listed.', 'lawyer-landing-page-pro' ), '<a href="' . admin_url( 'themes.php?page=tgmpa-install-plugins' ) . '" target="_blank">', '</a>' ),
    			)
    		)
       );
    }
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about_client' );