<?php
/**
 * Intro Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about_intro( $wp_customize ) {

    /** Intro Section */
    $wp_customize->add_section(
        'about_intro_settings',
        array(
            'title'    => __( 'Intro Section', 'lawyer-landing-page-pro' ),
            'priority' => 15,
            'panel'    => 'about_page_settings',
        )
    );
    
    $wp_customize->add_setting(
		'about_intro_note',
		array(
			'sanitize_callback' => 'wp_kses_post'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Info_Text( 
			$wp_customize,
			'about_intro_note',
			array(
				'section' => 'about_intro_settings', 
                'label'       => __( 'Intro Section', 'lawyer-landing-page-pro' ),   				
                'description' => __( 'Featured image and content of the About page template will be displayed in this section.', 'lawyer-landing-page-pro' ),
			)
		)
   );
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about_intro' );