<?php
/**
 * Practice Section Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about_practice( $wp_customize ) {

    /** Practice Section */
    $wp_customize->add_section(
        'about_practice_settings',
        array(
            'title'    => __( 'Practice Section', 'lawyer-landing-page-pro' ),
            'priority' => 30,
            'panel'    => 'about_page_settings',
        )
    );
    
    /** Practice Section Title  */
    $wp_customize->add_setting(
        'practice_section_title',
        array(
            'default'           => __( 'Areas of Practices', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'practice_section_title',
        array(
            'label'       => __( 'Practice Section Title', 'lawyer-landing-page-pro' ),
            'section'     => 'about_practice_settings',
            'type'        => 'text',            
        )
    );
    
    /** Practice Section Description  */
    $wp_customize->add_setting(
        'practice_section_desc',
        array(
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur tristique vitae magna eget elementum. Cras sed mattis enim. Duis non finibus mauris, id auctor arcu.', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'wp_kses_post',
        )
    );
    
    $wp_customize->add_control(
        'practice_section_desc',
        array(
            'label'       => __( 'Practice Section Description', 'lawyer-landing-page-pro' ),
            'section'     => 'about_practice_settings',
            'type'        => 'textarea',            
        )
    );
    
    if( is_rara_toolkit_activated() ){
            
        /** No. of Practices */
        $wp_customize->add_setting(
    		'no_of_practice',
    		array(
    			'default'			=> '-1',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'no_of_practice',
        		array(
                    'label'   => __( 'No. of Practices', 'lawyer-landing-page-pro' ),
                    'section' => 'about_practice_settings',            
        			'choices' => array(
                        '-1'  => __( 'All', 'lawyer-landing-page-pro' ),
                        '3'   => __( '3', 'lawyer-landing-page-pro' ),
                        '6'   => __( '6', 'lawyer-landing-page-pro' ),
                        '9'   => __( '9', 'lawyer-landing-page-pro' ),
                        '12'  => __( '12', 'lawyer-landing-page-pro' ),
                    ),
         		)
    		)
    	);
        
        /** Practice Excerpt Character */
        $wp_customize->add_setting( 'about_practice_excerpt_char', array(
            'default'           => 100,
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
        ) );
        
        $wp_customize->add_control(
    		new Rara_Controls_Slider_Control( 
    			$wp_customize,
    			'about_practice_excerpt_char',
    			array(
    				'section'		=> 'about_practice_settings',
    				'label'			=> __( 'Practice Excerpt Character', 'lawyer-landing-page-pro' ),
    				'choices'		=> array(
    					'min' 	=> 10,
    					'max' 	=> 500,
    					'step'	=> 10,
    				)
    			)
    		)
    	);
        
    }else{
        $wp_customize->add_setting(
    		'about_practice_section_note',
    		array(
    			'sanitize_callback' => 'wp_kses_post'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Info_Text( 
    			$wp_customize,
    			'about_practice_section_note',
    			array(
    				'section' => 'about_practice_settings', 
                    'description' => sprintf( __( 'Please install/activate the %1$sRara Theme Tool Kit Pro%2$s which you have received along with this theme for setting related with Practice post type.', 'lawyer-landing-page-pro' ), '<a href="' . admin_url( 'themes.php?page=tgmpa-install-plugins' ) . '" target="_blank">', '</a>' ),
    			)
    		)
        );
    }
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about_practice' );