<?php
/**
 * Service Section Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about_service( $wp_customize ) {

    /** services Section */
    $wp_customize->add_section(
        'about_services_settings',
        array(
            'title'    => __( 'Corporate Social Responsibility Section', 'lawyer-landing-page-pro' ),
            'priority' => 25,
            'panel'    => 'about_page_settings',
        )
    );
    
    /** Service Section Title  */
    $wp_customize->add_setting(
        'service_section_title',
        array(
            'default'           => __( 'Community Services', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'service_section_title',
        array(
            'label'       => __( 'Section Title', 'lawyer-landing-page-pro' ),
            'section'     => 'about_services_settings',
            'type'        => 'text',            
        )
    );
    
    /** Service Section Description  */
    $wp_customize->add_setting(
        'service_section_desc',
        array(
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur tristique vitae magna eget elementum. Cras sed mattis enim. Duis non finibus mauris, id auctor arcu.', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'wp_kses_post',
        )
    );
    
    $wp_customize->add_control(
        'service_section_desc',
        array(
            'label'       => __( 'Section Description', 'lawyer-landing-page-pro' ),
            'section'     => 'about_services_settings',
            'type'        => 'textarea',            
        )
    );
    
    if( is_rara_toolkit_activated() ){
        $description = __( 'To add widgets in this section you have to install the Rara Theme Tool Kit Pro which you have received along with this theme.', 'lawyer-landing-page-pro' );    
    }else{
        $description = sprintf( __( 'To add widgets in this section you have to install the %1$sRara Theme Tool Kit Pro%2$s which you have received along with this theme.', 'lawyer-landing-page-pro' ), '<a href="' . admin_url( 'themes.php?page=tgmpa-install-plugins' ) . '" target="_blank">', '</a>' );       
    }
    
    $wp_customize->add_setting(
		'about_service_note',
		array(
			'sanitize_callback' => 'wp_kses_post'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Info_Text( 
			$wp_customize,
			'about_service_note',
			array(
				'section'     => 'about_services_settings', 
                'label'       => __( 'NOTE:', 'lawyer-landing-page-pro' ),
                'description' => $description,
			)
		)
   );

  $wp_customize->add_setting(
        'about_csr_note',
        array(
            'sanitize_callback' => 'wp_kses_post'
        )
    );

    $wp_customize->add_control(
        new Rara_Controls_Info_Text( 
            $wp_customize,
            'about_csr_note',
            array(
                'section' => 'about_services_settings',
                'description' => sprintf( '<hr><b>%1$s</b>', __( 'Add RARA: Icon Text Widget for about page corporate social responsibility widgets.', 'lawyer-landing-page-pro' ) ),
            )
        )
    );

    $csr_section = $wp_customize->get_section( 'sidebar-widgets-about-icontext' );   
    if ( ! empty( $csr_section ) ) {
        $csr_section->panel     = 'about_page_settings';
        $csr_section->priority  = 25;
        $wp_customize->get_section( 'sidebar-widgets-about-icontext' )->title = __( 'Corporate Social Responsibility Section','lawyer-landing-page-pro' );
        $wp_customize->get_control( 'service_section_title' )->section  = 'sidebar-widgets-about-icontext';
        $wp_customize->get_control( 'service_section_title' )->priority = -1;
        $wp_customize->get_control( 'service_section_desc' )->section  = 'sidebar-widgets-about-icontext';
        $wp_customize->get_control( 'service_section_desc' )->priority = -1;
        $wp_customize->get_control( 'about_service_note' )->section  = 'sidebar-widgets-about-icontext';
        $wp_customize->get_control( 'about_service_note' )->priority = -1;
        $wp_customize->get_control( 'about_csr_note' )->section  = 'sidebar-widgets-about-icontext';
        $wp_customize->get_control( 'about_csr_note' )->priority = -1;
    }
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about_service' );