<?php
/**
 * Sort Home Page Section Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about_sort( $wp_customize ) {
    
    /** Logo Section */
    $wp_customize->add_section(
        'sort_about_page_settings',
        array(
            'title'    => __( 'Sort About Page Section', 'lawyer-landing-page-pro' ),
            'priority' => 80,
            'panel'    => 'about_page_settings',
        )
    );
    
    /** Sort Home Page Section Section */
    $wp_customize->add_setting(
		'sort_about_section', 
		array(
			'default' => array( 'intro', 'stat', 'service', 'practice', 'video', 'client' ),
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_sortable',						
		)
	);

	$wp_customize->add_control(
		new Rara_Control_Sortable(
			$wp_customize,
			'sort_about_section',
			array(
				'section'     => 'sort_about_page_settings',
				'label'       => __( 'Sort Sections', 'lawyer-landing-page-pro' ),
				'description' => __( 'Sort or toggle about page sections.', 'lawyer-landing-page-pro' ),
				'choices'     => array(
            		'intro'    => __( 'Intro Section', 'lawyer-landing-page-pro' ),
            		'stat'     => __( 'Stat Counter Section', 'lawyer-landing-page-pro' ),
                    'service'  => __( 'Service Section', 'lawyer-landing-page-pro' ),
                    'practice' => __( 'Practice Section', 'lawyer-landing-page-pro' ),
            		'video'    => __( 'Video Section', 'lawyer-landing-page-pro' ),
                    'client'   => __( 'Client Logo Section', 'lawyer-landing-page-pro' ),
            	),
			)
		)
	);
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about_sort' );