<?php
/**
 * Video Section Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about_video( $wp_customize ) {

    /** Video Section */
    $wp_customize->add_section(
        'about_video_settings',
        array(
            'title'    => __( 'Video Section', 'lawyer-landing-page-pro' ),
            'priority' => 35,
            'panel'    => 'about_page_settings',
        )
    );
    
    /** Video Url */
    $wp_customize->add_setting(
        'about_section_video',
        array(
            'default'           => 'https://vimeo.com/138114461',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    
    $wp_customize->add_control(
        'about_section_video',
        array(
            'label'   => __( 'Embed Video Link', 'lawyer-landing-page-pro' ),
            'description' => __( 'Copy and paste the video links here. e.g. https://vimeo.com/138114461, https://youtu.be/5Uhe2nAzKUw', 'lawyer-landing-page-pro' ),
            'section' => 'about_video_settings',
            'type'    => 'text',            
        )
    );
            
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about_video' );