<?php
/**
 * Custom Options
 *
 * @package Lawyer_Landing_Page_Pro
 */
 
function lawyer_landing_page_pro_customize_register_custom( $wp_customize ) {
    
    /** Custom Code */
    $wp_customize->add_panel( 'custom_codes', array(
        'title'      => __( 'Custom Codes', 'lawyer-landing-page-pro' ),
        'priority'   => 125,
        'capability' => 'edit_theme_options',
    ) );
    
    $wp_customize->add_section( 'custom_section', array(
        'title'    => __( 'Custom Scripts', 'lawyer-landing-page-pro' ),
        'priority' => 10,
        'panel'    => 'custom_codes',
    ) );
    
    /** Custom Script */
    $wp_customize->add_setting(
        'custom_script',
        array(
            'default'           => '',
            'sanitize_callback' => 'wp_strip_all_tags',
        )
    );
    
    $wp_customize->add_control(
	   'custom_script',
		array(
			'section'	  => 'custom_section',
			'label'		  => __( 'Custom Script', 'lawyer-landing-page-pro' ),
            'description' => __( 'Put the script like anlytics or any other here.', 'lawyer-landing-page-pro' ),
			'type'        => 'textarea',
		)		
	);
    
    if ( version_compare( $GLOBALS['wp_version'], '4.7', '>=' ) ){
        $wp_customize->get_section( 'custom_css' )->panel = 'custom_codes';
    }
    
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_custom' );