<?php
/**
 * Basic Options
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_basic( $wp_customize ) {

    
    $wp_customize->add_section( 'basic_settings', array(
        'priority'   => 20,
        'capability' => 'edit_theme_options',
        'title'      => __( 'Basic Settings', 'lawyer-landing-page-pro' ),
        'panel'      => 'general_setting',
    ) );
    
    /** Admin Bar */
    $wp_customize->add_setting(
        'ed_adminbar',
        array(
            'default'           => '1',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_adminbar',
			array(
				'section'		=> 'basic_settings',
				'label'			=> __( 'Admin Bar', 'lawyer-landing-page-pro' ),
				'description'	=> __( 'Disable to hide Admin Bar in frontend when logged in.', 'lawyer-landing-page-pro' ),
			)
		)
	);
    
    /** Lightbox */
    $wp_customize->add_setting(
        'ed_lightbox',
        array(
            'default'           => '',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_lightbox',
			array(
				'section'		=> 'basic_settings',
				'label'			=> __( 'Lightbox', 'lawyer-landing-page-pro' ),
				'description'	=> __( 'A lightbox is a stylized pop-up that allows your visitors to view larger versions of images without leaving the current page. You can enable or disable the lightbox here.', 'lawyer-landing-page-pro' ),
			)
		)
	);
    
    /** Ajax Quick Search */
    $wp_customize->add_setting(
        'ed_ajax_search',
        array(
            'default'           => '',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_ajax_search',
			array(
				'section'		=> 'basic_settings',
				'label'			=> __( 'Ajax Quick Search', 'lawyer-landing-page-pro' ),
				'description'	=> __( 'Enable to display search results appearing instantly below the search form.', 'lawyer-landing-page-pro' ),
			)
		)
	);
    
    /** Ajax Quick Search */
    $wp_customize->add_setting(
        'ed_demo',
        array(
            'default'           => '1',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_demo',
			array(
				'section'		=> 'basic_settings',
				'label'			=> __( 'Demo Content', 'lawyer-landing-page-pro' ),
				'description'	=> __( 'Disable to hide default demo content displayed in different sections of home page.', 'lawyer-landing-page-pro' ),
			)
		)
	);
        
    /** Pagination Type */
    $wp_customize->add_setting(
        'pagination_type',
        array(
            'default'           => 'default',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select',
        )
    );
    
    $wp_customize->add_control(
        'pagination_type',
        array(
            'label'       => __( 'Pagination Type', 'lawyer-landing-page-pro' ),
            'description' => __( 'Select pagination type.', 'lawyer-landing-page-pro' ),
            'section'     => 'basic_settings',
            'type'        => 'radio',
            'choices'     => array(
                'default'         => __( 'Default (Next / Previous)', 'lawyer-landing-page-pro' ),
                'numbered'        => __( 'Numbered (1 2 3 4...)', 'lawyer-landing-page-pro' ),
                'load_more'       => __( 'AJAX (Load More Button)', 'lawyer-landing-page-pro' ),
                'infinite_scroll' => __( 'AJAX (Auto Infinite Scroll)', 'lawyer-landing-page-pro' ),
            )
        )
    );

     /** Load More Label */
    $wp_customize->add_setting(
        'load_more_label',
        array(
            'default'           => __( 'Load More Posts', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
       'load_more_label',
        array(
            'section' => 'basic_settings',
            'label'   => __( 'Load More Label', 'lawyer-landing-page-pro' ),
            'type'    => 'text',
            'active_callback' => 'lawyer_landing_page_pro_loading_ac' 
        )       
    );
    
    /** Loading Label */
    $wp_customize->add_setting(
        'loading_label',
        array(
            'default'           => __( 'Loading...', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
       'loading_label',
        array(
            'section' => 'basic_settings',
            'label'   => __( 'Loading Label', 'lawyer-landing-page-pro' ),
            'type'    => 'text',
            'active_callback' => 'lawyer_landing_page_pro_loading_ac' 
        )       
    );

      /** Nomore Posts */
    $wp_customize->add_setting(
        'nomore_post_label',
        array(
            'default'           => __( 'No More Post', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
       'nomore_post_label',
        array(
            'section' => 'basic_settings',
            'label'   => __( 'No more Post Label', 'lawyer-landing-page-pro' ),
            'type'    => 'text',
            'active_callback' => 'lawyer_landing_page_pro_loading_ac' 
        )       
    );
    
    /** Exclude Categories */
    $wp_customize->add_setting(
		'exclude_categories', 
		array(
			'default' => '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_multiple_check',						
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_MultiCheck_Control(
			$wp_customize,
			'exclude_categories',
			array(
				'section'     => 'basic_settings',
				'label'       => __( 'Exclude Categories', 'lawyer-landing-page-pro' ),
                'description' => __( 'Check multiple categories to exclude from blog and archive page.', 'lawyer-landing-page-pro' ),
				'choices'     => lawyer_landing_page_pro_get_categories( false )
			)
		)
	);
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_basic' );

/**
 * Active Callback for contact phone
*/
function lawyer_landing_page_pro_loading_ac( $control ){
    
    $pagination_type = $control->manager->get_setting( 'pagination_type' )->value();
    
    if ( $pagination_type == 'load_more' ) return true;
    
    return false;
}