<?php
/**
 * Post Meta Options
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_postmeta( $wp_customize ) {

    $wp_customize->add_section( 'post_meta_settings', array(
        'title'      => __( 'Post Meta Settings', 'lawyer-landing-page-pro' ),
        'priority'   => 30,
        'capability' => 'edit_theme_options',
        'panel'      => 'general_setting',
    ));
    
    /** Post Meta */
    $wp_customize->add_setting(
		'post_meta',
		array(
			'default'			=> array( 'date', 'tag', 'cat', 'comment', 'author' ),
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'post_meta',
    		array(
                'label'	      => __( 'Post Meta', 'lawyer-landing-page-pro' ),
                'description' => __( 'Post meta in single post page. You can rearrange the order you want.', 'lawyer-landing-page-pro' ),
    			'section'     => 'post_meta_settings',
    			'multiple'    => 5,
                'choices'     => array(                    
                    'date'    => __( 'Date', 'lawyer-landing-page-pro' ),
                    'tag'     => __( 'Tag', 'lawyer-landing-page-pro' ),  
                    'cat'     => __( 'Category', 'lawyer-landing-page-pro' ),
                    'comment' => __( 'Comment', 'lawyer-landing-page-pro' ),
                    'author'  => __( 'Author', 'lawyer-landing-page-pro' ),
                ),                	
     		)
		)
	);
    
    /** No. of Character */
    $wp_customize->add_setting( 'excerpt_char', array(
        'default'           => 250,
        'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    ) );
    
    $wp_customize->add_control(
		new Rara_Controls_Slider_Control( 
			$wp_customize,
			'excerpt_char',
			array(
				'section'		=> 'post_meta_settings',
				'label'			=> __( 'Post Excerpt Character', 'lawyer-landing-page-pro' ),
				'choices'		=> array(
					'min' 	=> 10,
					'max' 	=> 500,
					'step'	=> 10,
				)
			)
		)
	);
    
    /** Read More Text */
    $wp_customize->add_setting(
        'readmore_text',
        array(
            'default'           => __( 'Read More', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
	   'readmore_text',
		array(
			'section'	  => 'post_meta_settings',
			'label'		  => __( 'Read More Text', 'lawyer-landing-page-pro' ),
			'type'        => 'text'
		)		
	);
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_postmeta' );