<?php
/**
 * Social Sharing Options
 *
 * @package Lawyer_Landing_Page_Pro
 */
 
function lawyer_landing_page_pro_customize_register_social_share( $wp_customize ) {
    
    $wp_customize->add_section( 'social_share_settings', array(
        'title'    => __( 'Social Sharing', 'lawyer-landing-page-pro' ),
        'priority' => 35,
        'panel'    => 'social_settings',
        'panel'    => 'general_setting',
    ) );
    
    /** Enable Social Sharing Buttons */
    $wp_customize->add_setting(
        'ed_social_sharing',
        array(
            'default'           => '',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_social_sharing',
			array(
				'section'     => 'social_share_settings',
				'label'       => __( 'Enable Social Sharing Buttons', 'lawyer-landing-page-pro' ),
                'description' => __( 'Enable or disable social sharing buttons on single posts.', 'lawyer-landing-page-pro' ),
			)
		)
	);
    
    /** Enable Social Sharing Floating Buttons */
    $wp_customize->add_setting(
        'ed_social_float',
        array(
            'default'           => '',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_social_float',
			array(
				'section'     => 'social_share_settings',
				'label'       => __( 'Enable Social Sharing Floating Buttons', 'lawyer-landing-page-pro' ),
                'description' => __( 'Make social sharing buttons float on single posts.', 'lawyer-landing-page-pro' ),
			)
		)
	);
    
    /** Social Sharing Buttons */
    $wp_customize->add_setting(
		'social_share', 
		array(
			'default' => array( 'facebook', 'twitter', 'linkedin', 'pinterest' ),
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_sortable',						
		)
	);

	$wp_customize->add_control(
		new Rara_Control_Sortable(
			$wp_customize,
			'social_share',
			array(
				'section'     => 'social_share_settings',
				'label'       => __( 'Social Sharing Buttons', 'lawyer-landing-page-pro' ),
				'description' => __( 'Sort or toggle social sharing buttons.', 'lawyer-landing-page-pro' ),
				'choices'     => array(
            		'facebook'  => __( 'Facebook', 'lawyer-landing-page-pro' ),
            		'twitter'   => __( 'Twitter', 'lawyer-landing-page-pro' ),
            		'linkedin'  => __( 'Linkedin', 'lawyer-landing-page-pro' ),
            		'pinterest' => __( 'Pinterest', 'lawyer-landing-page-pro' ),
            		'email'     => __( 'Email', 'lawyer-landing-page-pro' ),
            		'gplus'     => __( 'Google Plus', 'lawyer-landing-page-pro' ),
                    'stumble'   => __( 'StumbleUpon', 'lawyer-landing-page-pro' ),
                    'reddit'    => __( 'Reddit', 'lawyer-landing-page-pro' ),            
            	),
			)
		)
	);
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_social_share' );