<?php
/**
 * CPT Archive Header Options
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_header_archive( $wp_customize ) {
    
    $wp_customize->add_section( 'header_archive_setting', array(
        'title'       => __( 'Archive Header Settings', 'lawyer-landing-page-pro' ),        
        'priority'    => 35,
        'panel'       => 'header_setting',
    ) );
    
    if( is_rara_toolkit_activated() ){
        
        $wp_customize->add_setting(
    		'archive_header_note',
    		array(
    			'sanitize_callback' => 'wp_kses_post'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Info_Text( 
    			$wp_customize,
    			'archive_header_note',
    			array(
    				'section' => 'header_archive_setting', 
                    'description' => __( 'Settings for Archive page title for custom post type. You can change archive page title for "FAQ", "Portfolio", "Service", "Team" and "Testimonial" from here.', 'lawyer-landing-page-pro' ),
    			)
    		)
        );
        
        /** FAQ Archive Title */
        $wp_customize->add_setting(
            'faq_archive_title',
            array(
                'default'           => __( 'Frequently Asked Questions', 'lawyer-landing-page-pro' ),
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        
        $wp_customize->add_control(
            'faq_archive_title',
            array(
                'label'       => __( 'FAQ Archive Title', 'lawyer-landing-page-pro' ),
                'description' => __( 'Leave blank to use default archive post title.', 'lawyer-landing-page-pro' ),
                'section'     => 'header_archive_setting',
                'type'        => 'text',
            )
        );
        
        /** Portfolio Archive Title */
        $wp_customize->add_setting(
            'portfolio_archive_title',
            array(
                'default'           => __( 'Portfolios', 'lawyer-landing-page-pro' ),
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        
        $wp_customize->add_control(
            'portfolio_archive_title',
            array(
                'label'       => __( 'Portfolio Archive Title', 'lawyer-landing-page-pro' ),
                'description' => __( 'Leave blank to use default archive post title.', 'lawyer-landing-page-pro' ),
                'section'     => 'header_archive_setting',
                'type'        => 'text',
            )
        );
        
        /** Service Archive Title */
        $wp_customize->add_setting(
            'service_archive_title',
            array(
                'default'           => __( 'Services', 'lawyer-landing-page-pro' ),
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        
        $wp_customize->add_control(
            'service_archive_title',
            array(
                'label'       => __( 'Service Archive Title', 'lawyer-landing-page-pro' ),
                'description' => __( 'Leave blank to use default archive post title.', 'lawyer-landing-page-pro' ),
                'section'     => 'header_archive_setting',
                'type'        => 'text',
            )
        );
        
        /** Team Archive Title */
        $wp_customize->add_setting(
            'team_archive_title',
            array(
                'default'           => __( 'Meet The Team', 'lawyer-landing-page-pro' ),
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        
        $wp_customize->add_control(
            'team_archive_title',
            array(
                'label'       => __( 'Team Archive Title', 'lawyer-landing-page-pro' ),
                'description' => __( 'Leave blank to use default archive post title.', 'lawyer-landing-page-pro' ),
                'section'     => 'header_archive_setting',
                'type'        => 'text',
            )
        );
        
        /** Testimonail Archive Title */
        $wp_customize->add_setting(
            'testimonial_archive_title',
            array(
                'default'           => __( 'What People are Saying', 'lawyer-landing-page-pro' ),
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        
        $wp_customize->add_control(
            'testimonial_archive_title',
            array(
                'label'       => __( 'Testimonial Archive Title', 'lawyer-landing-page-pro' ),
                'description' => __( 'Leave blank to use default archive post title.', 'lawyer-landing-page-pro' ),
                'section'     => 'header_archive_setting',
                'type'        => 'text',
            )
        );
    }else{
        $wp_customize->add_setting(
    		'archive_header_note',
    		array(
    			'sanitize_callback' => 'wp_kses_post'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Info_Text( 
    			$wp_customize,
    			'archive_header_note',
    			array(
    				'section' => 'header_archive_setting', 
                    'description' => sprintf( __( 'For setting Archive page title for custom post type. Please install/activate the %1$sRara Theme Tool Kit Pro%2$s which you have received along with this theme.', 'lawyer-landing-page-pro' ), '<a href="' . admin_url( 'themes.php?page=tgmpa-install-plugins' ) . '" target="_blank">', '</a>' ),
    			)
    		)
        );
    }
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_header_archive' );