<?php
/**
 * Promotional Section Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_home_promotional( $wp_customize ) {
    
    /** promotional Section */
    $wp_customize->add_section(
        'promotional_settings',
        array(
            'title' => __( 'Promotional Section', 'lawyer-landing-page-pro' ),
            'priority' => 55,
            'panel' => 'home_page_settings',
        )
    );
    
    /** promotional page */
    $wp_customize->add_setting(
		'promotional_section_page',
		array(
			'default'			=> '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'promotional_section_page',
    		array(
                'label'       => __( 'Select Page/Post', 'lawyer-landing-page-pro' ),
                'description' => __( 'Title, description and featured image of selected page/post will display as section title, description and background image.', 'lawyer-landing-page-pro' ),
                'section'     => 'promotional_settings',            
    			'choices'     => lawyer_landing_page_pro_get_posts( array( 'post', 'page' ) ),
     		)
		)
	);
    
    /** Background Color*/
    $wp_customize->add_setting( 
        'promotional_color',
        array(
            'default'           => '#2f3945',
            'sanitize_callback' => 'sanitize_hex_color'
        ) 
    );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( 
            $wp_customize, 
            'promotional_color', 
            array(
                'label'       => __( 'Background Color', 'lawyer-landing-page-pro' ),
                'description' => __( 'Background Color will be applied if there is no featured image set on selected page/post.', 'lawyer-landing-page-pro' ),
                'section'     => 'promotional_settings',                
            )
        )
    );    
    
    /** Button Label */
    $wp_customize->add_setting(
        'promotional_section_button_label',
        array(
            'default'           => __( 'Get a Free Consultation', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'promotional_section_button_label',
        array(
            'label' => __( 'CTA Button Label', 'lawyer-landing-page-pro' ),
            'section' => 'promotional_settings',
            'type' => 'text',
        )
    );
    
    /** Button Link */
    $wp_customize->add_setting(
        'promotional_section_button_link',
        array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    
    $wp_customize->add_control(
        'promotional_section_button_link',
        array(
            'label'   => __( 'CTA Button Link', 'lawyer-landing-page-pro' ),
            'section' => 'promotional_settings',
            'type'    => 'text',
        )
    );
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_home_promotional' );