<?php
/**
 * Sort Home Page Section Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_home_sort( $wp_customize ) {
    
    /** Logo Section */
    $wp_customize->add_section(
        'sort_home_page_settings',
        array(
            'title'    => __( 'Sort Home Page Section', 'lawyer-landing-page-pro' ),
            'priority' => 80,
            'panel'    => 'home_page_settings',
        )
    );
    
    /** Sort Home Page Section Section */
    $wp_customize->add_setting(
		'sort_home_section', 
		array(
			'default' => array( 'banner','about', 'practice', 'why', 'service', 'stat', 'portfolio', 'testimonial', 'promotional', 'team', 'faq', 'blog', 'client', 'contact' ),
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_sortable',						
		)
	);

	$wp_customize->add_control(
		new Rara_Control_Sortable(
			$wp_customize,
			'sort_home_section',
			array(
				'section'     => 'sort_home_page_settings',
				'label'       => __( 'Sort Sections', 'lawyer-landing-page-pro' ),
				'description' => __( 'Sort or toggle home page sections.', 'lawyer-landing-page-pro' ),
				'choices'     => array(
                    'banner'       => __( 'Banner/Slider Section', 'lawyer-landing-page-pro' ),
            		'about'       => __( 'About Section', 'lawyer-landing-page-pro' ),
            		'practice'    => __( 'Practice Section', 'lawyer-landing-page-pro' ),
            		'why'         => __( 'Why Us Section', 'lawyer-landing-page-pro' ),
            		'service'     => __( 'Service Section', 'lawyer-landing-page-pro' ),
            		'stat'        => __( 'Stat Counter Section', 'lawyer-landing-page-pro' ),
            		'portfolio'   => __( 'Portfolio Section', 'lawyer-landing-page-pro' ),
                    'testimonial' => __( 'Testimonial Section', 'lawyer-landing-page-pro' ),
                    'promotional' => __( 'Promotional Section', 'lawyer-landing-page-pro' ),            
                    'team'        => __( 'Team Section', 'lawyer-landing-page-pro' ),
                    'faq'         => __( 'FAQ Section', 'lawyer-landing-page-pro' ),
                    'blog'        => __( 'Blog Section', 'lawyer-landing-page-pro' ),
                    'client'      => __( 'Client Logo Section', 'lawyer-landing-page-pro' ),
                    'contact'     => __( 'Contact Section', 'lawyer-landing-page-pro' ),
            	),
			)
		)
	);
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_home_sort' );