<?php
/**
 * Team Section Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_home_team( $wp_customize ) {
    
    /** Team Section */
    $wp_customize->add_section(
        'team_settings',
        array(
            'title'    => __( 'Team Section', 'lawyer-landing-page-pro' ),
            'priority' => 60,
            'panel'    => 'home_page_settings',
        )
    );
    
    /** Menu Label */
    $wp_customize->add_setting(
        'ed_section_menu_team',
        array(
            'default'           => '1',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_section_menu_team',
			array(
				'section'		=> 'team_settings',
				'label'			=> __( 'Section Menu', 'lawyer-landing-page-pro' ),
				'description'	=> __( 'Disable to hide the section in the menu.', 'lawyer-landing-page-pro' ),
                'active_callback' => 'lawyer_landing_page_pro_section_menu_ac'
			)
		)
	);
    
    /** Menu Label  */
    $wp_customize->add_setting(
        'section_menu_team',
        array(
            'default'           => __( 'Team', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'section_menu_team',
        array(
            'label'       => __( 'Team Section Menu Label', 'lawyer-landing-page-pro' ),
            'description' => __( 'If left blank the selected page title will be used as Section Menu Label.', 'lawyer-landing-page-pro' ),
            'section'     => 'team_settings',
            'type'        => 'text',
            'active_callback' => 'lawyer_landing_page_pro_section_menu_ac'
        )
    );
    
    /** team page */
    $wp_customize->add_setting(
		'team_section_page',
		array(
			'default'			=> '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'team_section_page',
    		array(
                'label'       => __( 'Select Page/Post', 'lawyer-landing-page-pro' ),
                'description' => __( 'Title and description of selected page/post will display as section title and description.', 'lawyer-landing-page-pro' ),
                'section'     => 'team_settings',            
    			'choices'     => lawyer_landing_page_pro_get_posts( array( 'post', 'page' ) ),
     		)
		)
	);
    
    if( is_rara_toolkit_activated() ){
        
        /** No. of Team */
        $wp_customize->add_setting(
    		'no_of_team',
    		array(
    			'default'			=> '4',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'no_of_team',
        		array(
                    'label'       => __( 'No. of Team', 'lawyer-landing-page-pro' ),
                    'description' => __( 'Choose "Select Team" to show specific team member.', 'lawyer-landing-page-pro' ),
                    'section'     => 'team_settings',            
        			'choices'     => array(
                        's_team' => __( 'Select Team', 'lawyer-landing-page-pro' ),
                        '4'      => __( '4', 'lawyer-landing-page-pro' ),
                        '8'      => __( '8', 'lawyer-landing-page-pro' ),
                    ),
         		)
    		)
    	);
        
        /** Select Team One */
        $wp_customize->add_setting(
    		'team_post_one',
    		array(
    			'default'			=> '',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'team_post_one',
        		array(
                    'label'       => __( 'Select Team One', 'lawyer-landing-page-pro' ),
                    'section'     => 'team_settings',            
        			'choices'     => lawyer_landing_page_pro_get_posts( 'team' ),
                    'active_callback' => 'lawyer_landing_page_pro_team_ac'
         		)
    		)
    	);
        
        /** Select Team Two */
        $wp_customize->add_setting(
    		'team_post_two',
    		array(
    			'default'			=> '',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'team_post_two',
        		array(
                    'label'       => __( 'Select Team Two', 'lawyer-landing-page-pro' ),
                    'section'     => 'team_settings',            
        			'choices'     => lawyer_landing_page_pro_get_posts( 'team' ),
                    'active_callback' => 'lawyer_landing_page_pro_team_ac'
         		)
    		)
    	);
        
        /** Select Team three */
        $wp_customize->add_setting(
    		'team_post_three',
    		array(
    			'default'			=> '',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'team_post_three',
        		array(
                    'label'       => __( 'Select Team Three', 'lawyer-landing-page-pro' ),
                    'section'     => 'team_settings',            
        			'choices'     => lawyer_landing_page_pro_get_posts( 'team' ),
                    'active_callback' => 'lawyer_landing_page_pro_team_ac'
         		)
    		)
    	);
        
        /** Select Team four */
        $wp_customize->add_setting(
    		'team_post_four',
    		array(
    			'default'			=> '',
    			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Select_Control(
        		$wp_customize,
        		'team_post_four',
        		array(
                    'label'       => __( 'Select Team Four', 'lawyer-landing-page-pro' ),
                    'section'     => 'team_settings',            
        			'choices'     => lawyer_landing_page_pro_get_posts( 'team' ),
                    'active_callback' => 'lawyer_landing_page_pro_team_ac'
         		)
    		)
    	);
        
        /** Button Label */
        $wp_customize->add_setting(
            'team_section_button_label',
            array(
                'default'           => __( 'View All Team Members', 'lawyer-landing-page-pro' ),
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        
        $wp_customize->add_control(
            'team_section_button_label',
            array(
                'label'   => __( 'View All Button Label', 'lawyer-landing-page-pro' ),
                'section' => 'team_settings',
                'type'    => 'text',
            )
        );

          /** Body Background */
        $wp_customize->add_setting( 'team_order', array(
            'default'           => 'date',
            'sanitize_callback' => 'esc_attr'
        ) );
        
        $wp_customize->add_control(
            new Rara_Controls_Radio_Buttonset_Control(
                $wp_customize,
                'team_order',
                array(
                    'section'     => 'team_settings',
                    'label'       => __( 'Team Order', 'lawyer-landing-page-pro' ),
                    'description' => __( 'Choose Team order for team section. This setting also works on the Team Archive page.', 'lawyer-landing-page-pro' ),
                    'choices'     => array(
                        'date'       => __( 'Post Date', 'lawyer-landing-page-pro' ),
                        'menu_order' => __( 'Menu Order', 'lawyer-landing-page-pro' ),
                    )
                )
            )
        );
    
    }else{
        $wp_customize->add_setting(
    		'team_section_note',
    		array(
    			'sanitize_callback' => 'wp_kses_post'
    		)
    	);
    
    	$wp_customize->add_control(
    		new Rara_Controls_Info_Text( 
    			$wp_customize,
    			'team_section_note',
    			array(
    				'section'      => 'team_settings', 
                    'description' => sprintf( __( 'Please install/activate the %1$sRara Theme Tool Kit Pro%2$s which you have received along with this theme for setting related with Team post type.', 'lawyer-landing-page-pro' ), '<a href="' . admin_url( 'themes.php?page=tgmpa-install-plugins' ) . '" target="_blank">', '</a>' ),
    			)
    		)
        );
    }
        
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_home_team' );

/**
 * Active Callback
*/
function lawyer_landing_page_pro_team_ac( $control ){
    
    $ed_showall = $control->manager->get_setting( 'no_of_team' )->value();
    $control_id = $control->id;
    
    if ( $control_id == 'team_post_one' && $ed_showall == 's_team' ) return true;
    if ( $control_id == 'team_post_two' && $ed_showall == 's_team' ) return true;
    if ( $control_id == 'team_post_three' && $ed_showall == 's_team' ) return true;
    if ( $control_id == 'team_post_four' && $ed_showall == 's_team' ) return true;
    
    return false;
}