<?php
/**
 * Why Choose Us Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_home_why( $wp_customize ) {

    /** Why Us Section */
    $wp_customize->add_section(
        'why_us_settings',
        array(
            'title'    => __( 'Why Us Section', 'lawyer-landing-page-pro' ),
            'priority' => 30,
            'panel'    => 'home_page_settings',
        )
    );
    
    /** Menu Label */
    $wp_customize->add_setting(
        'ed_section_menu_whyus',
        array(
            'default'           => '',
            'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Rara_Controls_Toggle_Control( 
			$wp_customize,
			'ed_section_menu_whyus',
			array(
				'section'		=> 'why_us_settings',
				'label'			=> __( 'Section Menu', 'lawyer-landing-page-pro' ),
				'description'	=> __( 'Disable to hide the section in the menu.', 'lawyer-landing-page-pro' ),
                'active_callback' => 'lawyer_landing_page_pro_section_menu_ac'
			)
		)
	);
    
    /** Menu Label  */
    $wp_customize->add_setting(
        'section_menu_why_us',
        array(
            'default'           => __( 'Why Us', 'lawyer-landing-page-pro' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'section_menu_why_us',
        array(
            'label'       => __( 'Why Us Section Menu Label', 'lawyer-landing-page-pro' ),
            'description' => __( 'If left blank the selected page title will be used as Section Menu Label.', 'lawyer-landing-page-pro' ),
            'section'     => 'why_us_settings',
            'type'        => 'text',
            'active_callback' => 'lawyer_landing_page_pro_section_menu_ac'
        )
    );
            
    /** Why Us page */
    $wp_customize->add_setting(
		'why_us_page',
		array(
			'default'			=> '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'why_us_page',
    		array(
                'label'       => __( 'Select Page/Post', 'lawyer-landing-page-pro' ),
                'description' => __( 'Title, description and featured image of selected page/post will display as section title, description and background image.', 'lawyer-landing-page-pro' ),
                'section'     => 'why_us_settings',            
    			'choices'     => lawyer_landing_page_pro_get_posts( array( 'post', 'page' ) ),
     		)
		)
	);
    
    /** Select why Us One */
    $wp_customize->add_setting(
		'why_us_post_one',
		array(
			'default'			=> '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'why_us_post_one',
    		array(
                'label'       => __( 'Select Post/Page One', 'lawyer-landing-page-pro' ),
                'section'     => 'why_us_settings',            
    			'choices'     => lawyer_landing_page_pro_get_posts( array( 'post', 'page' ) ),                
     		)
		)
	);
    
    /** Select Why Us Two */
    $wp_customize->add_setting(
		'why_us_post_two',
		array(
			'default'			=> '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'why_us_post_two',
    		array(
                'label'       => __( 'Select Post/Page Two', 'lawyer-landing-page-pro' ),
                'section'     => 'why_us_settings',            
    			'choices'     => lawyer_landing_page_pro_get_posts( array( 'post', 'page' ) ),                
     		)
		)
	);
           
    /** Select Service Three */
    $wp_customize->add_setting(
		'why_us_post_three',
		array(
			'default'			=> '',
			'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
		)
	);

	$wp_customize->add_control(
		new Rara_Controls_Select_Control(
    		$wp_customize,
    		'why_us_post_three',
    		array(
                'label'       => __( 'Select Post/Page Three', 'lawyer-landing-page-pro' ),
                'section'     => 'why_us_settings',            
    			'choices'     => lawyer_landing_page_pro_get_posts( array( 'post', 'page' ) ),                
     		)
		)
	);
    
    /** Post/Page Excerpt Character */
    $wp_customize->add_setting( 'why_excerpt_char', array(
        'default'           => 200,
        'sanitize_callback' => 'lawyer_landing_page_pro_sanitize_select'
    ) );
    
    $wp_customize->add_control(
		new Rara_Controls_Slider_Control( 
			$wp_customize,
			'why_excerpt_char',
			array(
				'section'		=> 'why_us_settings',
				'label'			=> __( 'Post/Page Excerpt Character', 'lawyer-landing-page-pro' ),
				'choices'		=> array(
					'min' 	=> 10,
					'max' 	=> 500,
					'step'	=> 10,
				)
			)
		)
	);
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_home_why' );