<?php
/**
 * Demo Contents for different sections of Home Page.
 *
 * @package Lawyer_Landing_Page_Pro
 */
      
if( ! function_exists( 'lawyer_landing_page_pro_demo_content' ) ) :
/**
 * Return Demo contents
*/
function lawyer_landing_page_pro_demo_content( $section, $header = false ){
    
    switch( $section ){
        case 'banner': ?>
        <section id="banner_section" class="banner" style="background: url( <?php echo get_template_directory_uri(); ?>/images/demo/img31.jpg ); background-size: cover; background-position: center;">
			<div class="container">
				<div class="text">
					<strong class="title">When the Stakes are high, We can help you</strong>
					<ul>
						<li>Patent Review and Analysis</li>
						<li>Legal Case Reviews</li>
						<li>USPTO Hearings</li>
						<li>Software Valuations</li>
						<li>Depositions and Trail Appearances</li>
						<li>Surveys and Polls</li>
						<li>Custom Research Reports</li>
						<li>Investment Due Diligence</li>
					</ul>
				</div>
				<form action="#" class="quote-form">
					<strong class="title">Contact us Today!</strong>
					<p>Above the fold Contact Form grabs the attention of the visitors. So you can generate more leads for your law firm using this contact form.</p>
					<div class="form-row">
						<input type="text" placeholder="Enter your name">
					</div>
					<div class="form-row">
						<input type="email" placeholder="Enter your email">
					</div>
					<div class="form-row">
						<input type="text" placeholder="Enter your phone number">
					</div>
					<div class="form-row">
						<textarea placeholder="Add your message"></textarea>
					</div>
					<div class="form-row">
						<input type="submit" value="Request A Callback">
					</div>
					<em>100% privacy Guaranteed.</em>
				</form>
			</div>
		</section>
        <?php
        break;
                    
        case 'about': 
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">Who are we?</h2>
				<p>Tell a story about your Company here. You can modify this section from Appearance > Customize > Home Page Settings > About Section on your WordPress.</p>
			</header>
            <?php
            }else{ ?>
            <div class="row">
				<div class="img-holder"><img src="<?php echo get_template_directory_uri(); ?>/images/demo/img32.jpg" alt="" /></div>
				<div class="text-holder">
					<h3 class="sub-title">The glory of justice</h3>
					<p>Justice is the legal or philosophical theory by which fairness is administered. The concept of justice differs in every culture. An early theory of justice was set out by the Ancient Greek philosopher Plato in his work The Republic. Advocates of divine command theory argue that justice issues from God. In the 17th century, theorists like John Locke argued for the theory of natural law.Thinkers in the social contract tradition argued that justice is derived from the mutual agreement of everyone concerned. In the 19th century, utilitarian thinkers including John...</p>
				</div>
			</div>            
            <?php
            }
        break;
        
        case 'practice':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">Practice Areas</h2>
				<p>This is the best place to tell your visitors which legal practice areas your law firm focus on. You can modify this section from Appearance > Customize > Home Page Settings > Practice Section on your WordPress. You can add practice areas from Practices menu on your WordPress admin panel.</p>
			</header>
            <?php                
            }else{ ?>
            <div class="row">
				<div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon3.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Lawsuit</h3>
							<p>A lawsuit (or suit in law) is a vernacular term for a suit, action, or cause instituted or</p>
						</div>
					</div>
				</div>
                <div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon4.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Negotiation</h3>
							<p>Negotiation is a dialogue between two or more people or parties intended to reach a beneficial</p>
						</div>
					</div>
				</div>
                <div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon2.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Legal Documents</h3>
							<p>Legal instrument is a legal term of art that is used for any formally executed written document</p>
						</div>
					</div>
				</div>
                <div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon1.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Legal Advice</h3>
							<p>Legal advice is ordinarily provided in exchange for financial or other tangible compensation</p>
						</div>
					</div>
				</div>
                <div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon4.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Tax Disputes</h3>
							<p>A tax is a financial charge or other levy imposed upon a taxpayer (an individual or legal</p>
						</div>
					</div>
				</div>
                <div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon3.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Car Accidents</h3>
							<p>A traffic collision, also known as a motor vehicle collision (MVC) among others, occurs when a</p>
						</div>
					</div>
				</div>                
				<div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon2.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Litigation &amp; Arbitration</h3>
							<p>Arbitration can be either voluntary or mandatory although mandatory arbitration can only come</p>
						</div>
					</div>
				</div>
				<div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon1.jpg" alt="" width="115" height="115"></div>
						<div class="text-holder">
							<h3 class="sub-title">Finance Law</h3>
							<p>Law is a system of rules that are created and enforced through social or governmental</p>
						</div>
					</div>
				</div>				
			</div>
            <?php    
            }
        break;
        
        case 'why':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">Why Are We The Best?</h2>
				<p>Tell your potential customers the reasons they should choose your company for their legal work in this section. You can modify this section from Appearance > Customize > Home Page Settings > Why Us Section on your WordPress.</p>
			</header>
            <?php
            }else{ ?>
            <div class="row">
				<div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon5.png" alt="" width="45" height="45"></div>
						<div class="text-holder">
							<h3 class="sub-title">Benefit One</h3>
							<p>Law provides a rich source of scholarly inquiry into legal history, philosophy, economic analysis and sociology. Law also raises important and complex issues concerning equality, fairness, and...</p>
						</div>
					</div>
				</div>
				<div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon6.png" alt="" width="45" height="45"></div>
						<div class="text-holder">
							<h3 class="sub-title">Benefit Two</h3>
							<p>The history of law links closely to the development of civilization. Ancient Egyptian law, dating as far back as 3000 BC, contained a civil code that was probably broken into twelve books. It was...</p>
						</div>
					</div>
				</div>
				<div class="col">
					<div class="box">
						<div class="icon-holder"><img src="<?php echo get_template_directory_uri();?>/images/demo/icon7.png" alt="" width="45" height="45"></div>
						<div class="text-holder">
							<h3 class="sub-title">Benefit Three</h3>
							<p>Roman law was heavily influenced by Greek philosophy, but its detailed rules were developed by professional jurists and were highly sophisticated.Over the centuries between the rise and decline of...</p>
						</div>
					</div>
				</div>
			</div>
            <?php                
            }
        break;
        
        case 'service':
            if( $header ){ ?>
            <header class="header">
        		<h2 class="title">Our Services</h2>
        		<p>Show what types of legal services your company offers here. You can modify this section from Appearance > Customize > Home Page Settings > Services Section. You can add services from Services menu on your WordPress admin panel.</p>
        	</header>
            <?php    
            }else{ ?>
            <div class="services-holder">
				<div class="row">
					<div class="col">
						<div class="image-holder">
							<img src="<?php echo get_template_directory_uri();?>/images/demo/ser-img1.jpg" alt="">
						</div>
						<h3 class="sub-title">Mediation</h3>
						<p>Mediation is a dynamic, structured, interactive process where a neutral third party assists disputing parties in resolving conflict through the use of specialized communication and negotiation techniques. All participants in mediation are</p>
					</div>
					<div class="col">
						<div class="image-holder">
							<img src="<?php echo get_template_directory_uri();?>/images/demo/ser-img2.jpg" alt="">
						</div>
						<h3 class="sub-title">Consultation</h3>
						<p>Public consultation, or simply consultation, is a regulatory process by which the public's input on matters affecting them is sought. Its main goals are in improving the efficiency, transparency and public involvement in large-scale projects or</p>
					</div>
					<div class="col">
						<div class="image-holder">
							<img src="<?php echo get_template_directory_uri();?>/images/demo/ser-img3.jpg" alt="">
						</div>
						<h3 class="sub-title">Civil Letegation</h3>
						<p>Civil law is a branch of the law.In common law countries such as England, Wales, and the United States, the term refers to non-criminal law. The law relating to civil wrongs and quasi-contracts is part of the civil law.The law of property is</p>
					</div>
				</div>
			</div>
            <?php    
            }
        break;
        
        case 'stat': ?>
        <div class="col">
			<div class="icon-holder">
				<div class="table-row">
					<div class="table-cell">
						<i class="fa fa-users" aria-hidden="true"></i>
					</div>
				</div>
			</div>
			<strong>124</strong>
			<span>Satisfied Clients</span>
		</div>
		<div class="col">
			<div class="icon-holder">
				<div class="table-row">
					<div class="table-cell">
						<i class="fa fa-money" aria-hidden="true"></i>
					</div>
				</div>
			</div>
			<strong>3457</strong>
			<span>Cases Won</span>
		</div>
		<div class="col">
			<div class="icon-holder">
				<div class="table-row">
					<div class="table-cell">
						<i class="fa fa-university" aria-hidden="true"></i>
					</div>
				</div>
			</div>
			<strong>423</strong>
			<span>Settlements</span>
		</div>
		<div class="col">
			<div class="icon-holder">
				<div class="table-row">
					<div class="table-cell">
						<i class="fa fa-lock" aria-hidden="true"></i>
					</div>
				</div>
			</div>
			<strong>520</strong>
			<span>Pro Bono</span>
		</div>
        <?php
        break;
        
        case 'portfolio':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">Our Accomplishments</h2>
				<p>Let your visitors know about you through your work. Showcase your work, share your experiences and proud accomplishments in this section of your website. You can modify this section from Appearance > Customize > Home Page Settings > Portfolio Section. You can add your accomplishments from Portfolios menu on your WordPress admin panel.</p>
			</header>
            <?php            
            }else{ ?>
            <div class="button-group filter-button-group">
				<button class="button is-checked" data-filter="*">All</button>
			  	<button class="button" data-filter=".civil-case">Civil Case</button>
			  	<button class="button" data-filter=".criminal-case">Criminal Case</button>
			  	<button class="button" data-filter=".family-law">Family Law</button>
			</div>
            <div class="row grid">
				<div class="col family-law">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img1.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Alimony</strong>
				</div>
				<div class="col family-law">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img2.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Residence Orders</strong>
				</div>
				<div class="col family-law">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img3.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Property Settlements</strong>
				</div>
				<div class="col criminal-case">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img4.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Bail</strong>
				</div>
				<div class="col criminal-case">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img5.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Serious Crimes</strong>
				</div>
				<div class="col criminal-case">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img6.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Less Serious Crimes</strong>
				</div>
                <div class="col civil-case">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img7.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Small Claims Division</strong>
				</div>
                <div class="col civil-case">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img8.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Loan Agreements</strong>
				</div>
                <div class="col civil-case">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/port-img9.jpg" alt="">
						<div class="text-holder">
							<div class="table">
								<div class="table-row">
									<div class="table-cell">
										<a href="#"><i class="fa fa-link" aria-hidden="true"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<strong>Money Dispute</strong>
				</div>
			</div>
            <?php                
            }
        break;
        
        case 'testimonial':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">What People Say About Us</h2>
				<p>Let visitors know why your clients trust you with real testimonials from real people. You can modify this section from Appearance > Customize > Home Page Settings > Testimonials Section. You can add testimonials from Testimonials menu on your WordPress admin panel.</p>
			</header>                                      
            <?php    
            }else{ ?>
            <div class="testimonial-content">
		    	<div class="testimonial-holder">		    		
		    		<p>Theme was responsive and quick to take appropriate action. It provided us with wise counsel and good guidance.</p>
		    	</div>				    
			</div>
			<div class="testimonial-slider owl-carousel">
				<div id="testimonial-1" class="testimonial-slide testimonial-active">			    	
		      		<img src="<?php echo get_template_directory_uri();?>/images/demo/testimonial-1.jpg" width="103" height="104">
		      		<strong class="name">Valentina Abalos</strong>
		      		<span class="designation">Manager at <em>Unique</em></span>
		    	</div>
		    	<div id="testimonial-2" class="testimonial-slide">	
		      		<img src="<?php echo get_template_directory_uri();?>/images/demo/testimonial-2.jpg" width="103" height="104">
		      		<strong class="name">Jessica Sharma</strong>
		      		<span class="designation">Reporter at <em>BAC</em></span>
		    	</div>
		    	<div id="testimonial-3" class="testimonial-slide">
		      		<img src="<?php echo get_template_directory_uri();?>/images/demo/testimonial-3.jpg" width="103" height="104">
		      		<strong class="name">Abimbola Bello</strong>
		      		<span class="designation">Member at <em>ABC</em></span>
		    	</div>
		    	<div id="testimonial-4" class="testimonial-slide">
		      		<img src="<?php echo get_template_directory_uri();?>/images/demo/testimonial-4.jpg" width="103" height="104">
		      		<strong class="name">Akio Suzuki</strong>
		      		<span class="designation">Developer at <em>Global</em></span>
		    	</div>
		    	<div id="testimonial-5" class="testimonial-slide">
		      		<img src="<?php echo get_template_directory_uri();?>/images/demo/testimonial-5.jpg" width="103" height="104">
		      		<strong class="name">Abelone Jepsen</strong>
		      		<span class="designation">Partner at <em>RFC</em></span>
		    	</div>
		    	<div id="testimonial-6" class="testimonial-slide">
		      		<img src="<?php echo get_template_directory_uri();?>/images/demo/testimonial-6.jpg" width="103" height="104">
		      		<strong class="name">Michael Muller</strong>
		      		<span class="designation">CEO <em>Habsport</em></span>
		    	</div>		    	
			</div>
            <?php                
            }
        break;
        
        case 'cta':
            if( $header ){ ?>
            <h2>Contact Us Today!</h2>
			<p>Keep a Call To Action button and promote your law firm with this section. You can modify this section from Appearance > Customize > Home Page Settings > Promotional Section.</p>            
            <?php    
            }else{ ?>
            <a href="https://raratheme.com/wordpress-themes/lawyer-landing-page-pro/" class="btn-contact" target="_blank">Buy Theme</a>
            <?php                
            }
        break;
        
        case 'team':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">Meet the team</h2>
				<p>Introduce the team members that makes your company great here. You can modify this section from Appearance > Customize > Home Page Settings > Team Section. You can add team members from Team Members menu on your WordPress admin panel.</p>
			</header>            
            <?php    
            }else{ ?>
            <div class="row">
				<div class="col">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/team1.jpg" alt="">
						<div class="text-holder">
							<p>The first law of ecology is that everything is related to everything else.Law is a system of rules that are created and enforced through social or governmental institutions to regulate behavior. Law as a system helps regulate and ensure that a community show respect, and equality amongst themselves.The history of law links closely to the development of civilization. Ancient Egyptian law, dating as far back as 3000 BC, contained a civil code that was probably broken into twelve books.</p>
                            <p>It was based on the concept of Ma'at, characterised by tradition, rhetorical speech, social equality and impartiality. By the 22nd century BC, the ancient Sumerian ruler Ur-Nammu had formulated the first law code, which consisted of casuistic statements ("if...then..."). Around 1760 BC, King Hammurabi further developed Babylonian law, by codifying and inscribing it in stone. Hammurabi placed several copies of his law code throughout the kingdom of Babylon as stelae, for the entire public to see; this became known as the Codex Hammurabi.</p>
                            <p>The most intact copy of these stelae was discovered in the 19th century by British Assyriologists, and has since been fully transliterated and translated into various languages, including English, Italian, German, and French.</p>
						</div>
					</div>
					<strong class="name">Mariana Aceves</strong>
					<span class="designation">Lawyer</span>
				</div>
				<div class="col">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/team2.jpg" alt="">
						<div class="text-holder">
							<p>The law of harvest is to reap more than you sow. Sow an act, and you reap a habit. Sow a habit and you reap a character. Sow a character and you reap a destiny.Law provides a rich source of scholarly inquiry into legal history, philosophy, economic analysis and sociology. Law also raises important and complex issues concerning equality, fairness, and justice.</p>
                            <p>There is an old saying that 'all are equal before the law', although Jonathan Swift argued that 'Laws are like cobwebs, which may catch small flies, but let wasps and hornets break through.' In 1894, the author Anatole France said sarcastically,Numerous definitions of law have been put forward over the centuries. The Third New International Dictionary from Merriam-Webster defines law as:</p>
                            <p>"Law is a binding custom or practice of a community; a rule or mode of conduct or action that is prescribed or formally recognized as binding by a supreme controlling authority or is made obligatory by a sanction (as an edict, decree, rescript, order, ordinance, statute, resolution, rule, judicial decision, or usage) made, recognized, or enforced by the controlling authority."</p>
						</div>
					</div>
					<strong class="name">Tony Waters</strong>
					<span class="designation">Advocate</span>
				</div>
				<div class="col">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/team3.jpg" alt="">
						<div class="text-holder">
							<p>If you must break the law, do it to seize power: in all other cases observe it.The Old Testament dates back to 1280 BC and takes the form of moral imperatives as recommendations for a good society. The small Greek city-state, ancient Athens, from about the 8th century BC was the first society to be based on broad inclusion of its citizenry, excluding women and the slave class.</p>
                            <p>However, Athens had no legal science or single word for "law", relying instead on the three-way distinction between divine law (themis), human decree (nomos) and custom (dike). Yet Ancient Greek law contained major constitutional[disambiguation needed] innovations in the development of democracy.Roman law was heavily influenced by Greek philosophy, but its detailed rules were developed by professional jurists and were highly sophisticated.</p>
                            <p>Over the centuries between the rise and decline of the Roman Empire, law was adapted to cope with the changing social situations and underwent major codification under Theodosius II and Justinian I.Although codes were replaced by custom and case law during the Dark Ages, Roman law was rediscovered around the 11th century when medieval legal scholars began to research Roman codes and adapt their concepts.</p>
                            <p>Latin legal maxims (called brocards) were compiled for guidance. In medieval England, royal courts developed a body of precedent which later became the common law. A Europe-wide Law Merchant was formed so that merchants could trade with common standards of practice rather than with the many splintered facets of local laws.</p>
						</div>
					</div>
					<strong class="name">Evangelina Jones</strong>
					<span class="designation">Statutory Advocate</span>
				</div>
				<div class="col">
					<div class="img-holder">
						<img src="<?php echo get_template_directory_uri();?>/images/demo/team4.jpg" alt="">
						<div class="text-holder">
							<p>Law and order exist for the purpose of establishing justice and when they fail in this purpose they become the dangerously structured dams that block the flow of social progress.The philosophy of law is commonly known as jurisprudence. Normative jurisprudence asks "what should law be?", while analytic jurisprudence asks "what is law?" John Austin's utilitarian answer was that law is "commands, backed by threat of sanctions, from a sovereign, to whom people have a habit of obedience".</p>
                            <p>Natural lawyers on the other side, such as Jean-Jacques Rousseau, argue that law reflects essentially moral and unchangeable laws of nature. The concept of "natural law" emerged in ancient Greek philosophy concurrently and in connection with the notion of justice, and re-entered the mainstream of Western culture through the writings of Thomas Aquinas, notably his Treatise on Law.</p>
                            <p>Hugo Grotius, the founder of a purely rationalistic system of natural law, argued that law arises from both a social impulse as Aristotle had indicated and reason.Immanuel Kant believed a moral imperative requires laws "be chosen as though they should hold as universal laws of nature". Jeremy Bentham and his student Austin, following David Hume, believed that this conflated the "is" and what "ought to be" problem. Bentham and Austin argued for law's positivism; that real law is entirely separate from "morality".Kant was also criticised by Friedrich Nietzsche, who rejected the principle of equality, and believed that law emanates from the will to power, and cannot be labelled as "moral" or "immoral".</p>
						</div>
					</div>
					<strong class="name">Aedan Beirne</strong>
					<span class="designation">Citizen Advocate</span>
				</div>
			</div>
            <?php                
            }
        break;
        
        case 'faq':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">Frequently Asked Questions</h2>
				<p>Show FAQs to save your time by eliminating repetitive questions asked by your clients. You can modify this section from Appearance > Customize > Home Page Settings > FAQ Section. You can add questions and answers from FAQs menu on your WordPress admin panel.</p>
			</header>            
            <?php    
            }else{ ?>
            <div class="row rara-masonry">
				<div class="col">
					<strong class="question">What should I do before I go to court?</strong>
					<p>If you have an attorney before your arraignment date, talk with your attorney in advance. The more your attorney understands about your case, the more he/she can help you.Generally speaking, you should plan on staying at least three hours for your arraignment and in crowded courts you may be</p>
				</div>
				<div class="col">
					<strong class="question">What are my rights?</strong>
					<p>Anyone charged with a crime has certain legal rights. You have the right to remain silent when questioned. You do not have to say anything about the facts of your case. If you do, your statements can be used against you in a court of law including during your trial. You have the right to the presence of</p>
				</div>
				<div class="col">
					<strong class="question">How do I file a complaint against my lawyer?</strong>
					<p>In most countries, particularly civil law countries, there has been a tradition of giving many legal tasks to a variety of civil law notaries, clerks, and scriveners.These countries do not have "lawyers" in the American sense,</p>
				</div>
				<div class="col">
					<strong class="question">Who makes the decisions about my case?</strong>
					<p>In a criminal case you decide whether to: go to trial or plead guilty, have jury trial or a bench trial, testify or maintain your right to be silent. In a civil case your lawyer should consult with you before making any settlement decision.</p>
				</div>
				<div class="col">
					<strong class="question">What if I cannot afford a lawyer?</strong>
					<p>If you are involved in a criminal case, in most circumstances you may have a lawyer appointed to you if the court decides you cannot afford a lawyer. You might also have the right to a court-appointed lawyer in some civil cases</p>
				</div>
				<div class="col">
					<strong class="question">How will I pay my lawyer?</strong>
					<p>In English law, a costs lawyer is a legal professional concerned with legal costs who has attained rights of audience and rights to conduct costs litigation.</p>
				</div>
			</div>
            <?php                
            }
        break;
        
        case 'blog':
            if( $header ){ ?>
            <header class="header">
				<h2 class="title">From our Blog</h2>
				<p>Show your latest blog posts here. You can modify this section from Appearance > Customize > Home Page Settings > Blog Section.</p>
			</header>            
            <?php    
            }else{ ?>
            <div class="row">
				<article class="post">
					<a href="#" class="post-thumbnail"><img src="<?php echo get_template_directory_uri();?>/images/demo/blog1.jpg" alt=""></a>
					<div class="text-holder">
						<header class="entry-header">
							<h3 class="entry-title"><a href="#">Residential sector in Myanmar</a></h3>
							<div class="entry-meta">
								<span class="posted-on"><a href="#"><time>March 18, 2016</time></a></span>
							</div>
						</header>
						<div class="entry-content">
							<p>Roman law was heavily influenced by Greek philosophy, but its detailed rules were developed by professional jurists and were highly sophisticated....</p>
						</div>
					</div>
				</article>
				<article class="post">
					<a href="#" class="post-thumbnail"><img src="<?php echo get_template_directory_uri();?>/images/demo/blog2.jpg" alt=""></a>
					<div class="text-holder">
						<header class="entry-header">
							<h3 class="entry-title"><a href="#">Case Wants Law Strengthened</a></h3>
							<div class="entry-meta">
								<span class="posted-on"><a href="#"><time>March 18, 2016</time></a></span>
							</div>
						</header>
						<div class="entry-content">
							<p>Law is a system of rules that are created and enforced through social or governmental institutions to regulate behavior. Law as a system helps...</p>
						</div>
					</div>
				</article>
				<article class="post">
					<a href="#" class="post-thumbnail"><img src="<?php echo get_template_directory_uri();?>/images/demo/blog3.jpg" alt=""></a>
					<div class="text-holder">
						<header class="entry-header">
							<h3 class="entry-title"><a href="#">12 Law Schools</a></h3>
							<div class="entry-meta">
								<span class="posted-on"><a href="#"><time>March 18, 2016</time></a></span>
							</div>
						</header>
						<div class="entry-content">
							<p>A law school (also known as a law centre or college of law) is an institution specializing in legal education, usually involved as part of a...</p>
						</div>
					</div>
				</article>
			</div>
            <?php                
            }
        break;
        
        case 'client':
            if( $header ){ ?>
            <header class="header">
    			<h2 class="title">Our Clients</h2>
    			<p>Display your most valuable clients here. You can modify this section from Appearance > Customize > Home Page Settings > Logo Section.</p>
    		</header>            
            <?php    
            }else{ ?>
            <div id="clients-holder" class="owl-carousel">
    			<div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli1.png" alt="">
    				</div>
    			</div>
    			<div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli2.png" alt="">
    				</div>
    			</div>
    			<div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli3.png" alt="">
    				</div>
    			</div>
    			<div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli4.png" alt="">
    				</div>
    			</div>
    			<div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli5.png" alt="">
    				</div>
    			</div>
    			<div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli6.png" alt="">
    				</div>
    			</div>
                <div class="col">
    				<div class="img-holder">
    					<img src="<?php echo get_template_directory_uri();?>/images/demo/cli7.png" alt="">
    				</div>
    			</div>
    		</div>
            <?php                
            }
        break;
        
        case 'contact':
            if( $header ){ ?>
            <header class="header">
    			<h2 class="title">Contact Us</h2>
    			<p>Your visitors can easily reach you through this contact section. You can modify this section from Appearance > Customize > Home Page Settings > Contact Section.</p>
    		</header>            
            <?php    
            }else{ ?>
                <form action="#" class="quote-form">
					<h2>Get In Touch</h2>
					<p>The contact page is just for demonstration purpose.</p>
					<div class="form-row">
						<input type="text" placeholder="Enter your name">
					</div>
					<div class="form-row">
						<input type="email" placeholder="Enter your email">
					</div>
					<div class="form-row">
						<textarea placeholder="Add your message"></textarea>
					</div>
					<div class="form-row">
						<input type="submit" value="Submit">
					</div>
				</form>
            <?php                
            }
        break;
        
    }
    
}
endif;