jQuery(document).ready(function($) {
	/* Move widgets to their respective sections */
	wp.customize.section( 'sidebar-widgets-home-counter' ).panel( 'home_page_settings' );
	wp.customize.section( 'sidebar-widgets-home-counter' ).priority( '42' );
    wp.customize.section( 'sidebar-widgets-about-counter' ).panel( 'about_page_settings' );
	wp.customize.section( 'sidebar-widgets-about-counter' ).priority( '22' );
    wp.customize.section( 'sidebar-widgets-about-icontext' ).panel( 'about_page_settings' );
	wp.customize.section( 'sidebar-widgets-about-icontext' ).priority( '27' );    
    wp.customize.section( 'sidebar-widgets-header-social' ).panel( 'header_setting' );
	wp.customize.section( 'sidebar-widgets-header-social' ).priority( '32' );
    wp.customize.section( 'sidebar-widgets-contact-social' ).panel( 'contact_page_settings' );
	wp.customize.section( 'sidebar-widgets-contact-social' ).priority( '32' );
    
    //Scroll to section
    $('body').on('click', '#sub-accordion-panel-home_page_settings .control-subsection .accordion-section-title', function(event) {
        var section_id = $(this).parent('.control-subsection').attr('id');
        scrollToSection( section_id );
    });
    
    $('body').on('click', '#sub-accordion-panel-about_page_settings .control-subsection .accordion-section-title', function(event) {
        var section_id = $(this).parent('.control-subsection').attr('id');
        scrollToAboutSection( section_id );
    });


    // Preview the page template via customizer
    wp.customize.panel( 'home_page_settings', function( section ) {
        section.expanded.bind( function( isExpanded ) {
            if ( isExpanded ) {
                wp.customize.previewer.previewUrl.set( llpp_customizer_data.front  );
            }
        });
    });

    wp.customize.panel( 'contact_page_settings', function( section ) {
        section.expanded.bind( function( isExpanded ) {
            if ( isExpanded ) {
                wp.customize.previewer.previewUrl.set( llpp_customizer_data.contact  );
            }
        });
    });

   wp.customize.panel( 'about_page_settings', function( section ) {
        section.expanded.bind( function( isExpanded ) {
            if ( isExpanded ) {
                wp.customize.previewer.previewUrl.set( llpp_customizer_data.about  );
            }
        });
    });
    
});

function scrollToSection( section_id ){
    var preview_section_id = "banner_section";

    var $contents = jQuery('#customize-preview iframe').contents();

    switch ( section_id ) {
        
        case 'accordion-section-about_settings':
        preview_section_id = "about_section";
        break;

        case 'accordion-section-practice_settings':
        preview_section_id = "practice_section";
        break;

        case 'accordion-section-why_us_settings':
        preview_section_id = "why_section";
        break;

        case 'accordion-section-services_settings':
        preview_section_id = "service_section";
        break;

        case 'accordion-section-stat_counter_settings':
        case 'accordion-section-sidebar-widgets-home-counter':
        preview_section_id = "stat_section";
        break;
        
        case 'accordion-section-portfolio_settings':
        preview_section_id = "portfolio_section";
        break;

        case 'accordion-section-testimonials_settings':
        preview_section_id = "testimonial_section";
        break;

        case 'accordion-section-promotional_settings':
        preview_section_id = "promotional_section";
        break;

        case 'accordion-section-team_settings':
        preview_section_id = "team_section";
        break;

        case 'accordion-section-faq_settings':
        preview_section_id = "faq_section";
        break;

        case 'accordion-section-blog_settings':
        preview_section_id = "blog_section";
        break;
        
        case 'accordion-section-logo_settings':
        preview_section_id = "client_section";
        break;
        
        case 'accordion-section-contact_settings':
        preview_section_id = "contact_section";
        break;
        
        case 'accordion-section-sort_home_page_settings':
        preview_section_id = "banner_section";
        break;
        
    }

    if( $contents.find('#'+preview_section_id).length > 0 && $contents.find('.home').length > 0 ){
        $contents.find("html, body").animate({
        scrollTop: $contents.find( "#" + preview_section_id ).offset().top
        }, 1000);
    }
}

function scrollToAboutSection( section_id ){
    var preview_section_id = "about_intro_section";

    var $contents = jQuery('#customize-preview iframe').contents();

    switch ( section_id ) {
        
        case 'accordion-section-about_practice_settings':
        preview_section_id = "about_practice_section";
        break;

        case 'accordion-section-about_services_settings':
        case 'accordion-section-sidebar-widgets-about-icontext':
        preview_section_id = "about_service_section";
        break;

        case 'accordion-section-about_stat_counter_settings':
        case 'accordion-section-sidebar-widgets-about-counter':
        preview_section_id = "about_stat_section";
        break;
        
        case 'accordion-section-about_logo_settings':
        preview_section_id = "about_client_section";
        break;
        
        case 'accordion-section-about_intro_settings':
        case 'accordion-section-sort_about_page_settings':
        preview_section_id = "about_intro_section";
        break;
        
        case 'accordion-section-about_video_settings':
        preview_section_id = "about_video_section";
        break;
    }

    if( $contents.find('#'+preview_section_id).length > 0 && $contents.find('.page-template-template-about').length > 0 ){
        $contents.find("html, body").animate({
        scrollTop: $contents.find( "#" + preview_section_id ).offset().top
        }, 1000);
    }
}