<?php
/**
 * Template Hooks
 *
 * @package Lawyer_Landing_Page_Pro
 */

/**
 * Doctype
 * 
 * @see lawyer_landing_page_pro_doctype_cb
*/
add_action( 'lawyer_landing_page_pro_doctype', 'lawyer_landing_page_pro_doctype_cb' );

/**
 * Before wp_head
 * 
 * @see lawyer_landing_page_pro_head
*/
add_action( 'lawyer_landing_page_pro_before_wp_head', 'lawyer_landing_page_pro_head' );

/**
 * Before Header
 * 
 * @see lawyer_landing_page_pro_page_start - 20
*/
add_action( 'lawyer_landing_page_pro_before_header', 'lawyer_landing_page_pro_page_start', 20 );

/**
 * Lawyer_Landing_Page Header
 * 
 * @see lawyer_landing_page_pro_header - 20 
*/
add_action( 'lawyer_landing_page_pro_header', 'lawyer_landing_page_pro_header', 20 );

/**
 * Before Content
 * 
 * @see lawyer_landing_page_pro_pg_header      - 20
 * @see lawyer_landing_page_pro_banner_section - 30
*/
add_action( 'lawyer_landing_page_pro_before_content', 'lawyer_landing_page_pro_pg_header', 20 );
add_action( 'lawyer_landing_page_pro_before_content', 'lawyer_landing_page_pro_banner_section', 30 );

/**
 * Lawyer_Landing_Page Content
 * 
 * @see lawyer_landing_page_pro_content_start
*/
add_action( 'lawyer_landing_page_pro_content', 'lawyer_landing_page_pro_content_start' );

/**
 * Before Page entry content
 * 
 * @see lawyer_landing_page_pro_page_content_image
*/
add_action( 'lawyer_landing_page_pro_before_page_entry_content', 'lawyer_landing_page_pro_page_content_image' );

/**
 * Before Post entry content
 * 
 * @see lawyer_landing_page_pro_post_content_image - 10
 * @see lawyer_landing_page_pro_post_entry_header  - 20
 * @see lawyer_landing_page_pro_social_share       - 30
*/
add_action( 'lawyer_landing_page_pro_before_post_entry_content', 'lawyer_landing_page_pro_post_content_image', 10 );
add_action( 'lawyer_landing_page_pro_before_post_entry_content', 'lawyer_landing_page_pro_post_entry_header', 20 );
add_action( 'lawyer_landing_page_pro_before_post_entry_content', 'lawyer_landing_page_pro_social_share', 30 );

/**
 * After post content
 * 
 * @see lawyer_landing_page_pro_post_author  - 20
 * @see lawyer_landing_page_pro_related_post - 30
*/
add_action( 'lawyer_landing_page_pro_after_post_content', 'lawyer_landing_page_pro_post_author', 20 );
add_action( 'lawyer_landing_page_pro_after_post_content', 'lawyer_landing_page_pro_related_post', 30 );

/**
 * Comment
 * 
 * @see lawyer_landing_page_pro_get_comment_section 
*/
add_action( 'lawyer_landing_page_pro_comment', 'lawyer_landing_page_pro_get_comment_section' );

/**
 * After Content
 * 
 * @see lawyer_landing_page_pro_content_end - 20
*/
add_action( 'lawyer_landing_page_pro_after_content', 'lawyer_landing_page_pro_content_end', 20 );

/**
 * Before Footer
 * @see lawyer_landing_page_pro_bottom_ad - 10
 * @see lawyer_landing_page_pro_slider    - 20
*/
add_action( 'lawyer_landing_page_pro_before_footer', 'lawyer_landing_page_pro_bottom_ad', 10 );
add_action( 'lawyer_landing_page_pro_before_footer', 'lawyer_landing_page_pro_slider', 20 );

/**
 * Numinous Footer
 * 
 * @see lawyer_landing_page_pro_footer_start  - 20
 * @see lawyer_landing_page_pro_footer_top    - 30
 * @see lawyer_landing_page_pro_footer_bottom - 40
 * @see lawyer_landing_page_pro_footer_end    - 50
*/
add_action( 'lawyer_landing_page_pro_footer', 'lawyer_landing_page_pro_footer_start', 20 );
add_action( 'lawyer_landing_page_pro_footer', 'lawyer_landing_page_pro_footer_top', 30 );
add_action( 'lawyer_landing_page_pro_footer', 'lawyer_landing_page_pro_footer_bottom', 40 );
add_action( 'lawyer_landing_page_pro_footer', 'lawyer_landing_page_pro_footer_end', 50 );

/**
 * After Footer
 * 
 * @see lawyer_landing_page_pro_page_end - 20
*/
add_action( 'lawyer_landing_page_pro_after_footer', 'lawyer_landing_page_pro_back_to_top', 15 );
add_action( 'lawyer_landing_page_pro_after_footer', 'lawyer_landing_page_pro_page_end', 20 );