<?php
/**
 * Widgets
 *
 * @package Lawyer_Landing_Page_Pro
 */

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function lawyer_landing_page_pro_widgets_init() {
	
    $sidebars = array(
        'sidebar'   => array(
            'name'        => __( 'Sidebar', 'lawyer-landing-page-pro' ),
            'id'          => 'sidebar', 
            'description' => __( 'Add widgets here.', 'lawyer-landing-page-pro' ),
        ),
        'home-counter'=> array(
            'name'        => __( 'Home Page Stats Counter Widget', 'lawyer-landing-page-pro' ),
            'id'          => 'home-counter', 
            'description' => __( 'Add RARA: Stat Counter Widget for home page counter widgets.', 'lawyer-landing-page-pro' ),
        ), 
        'about-counter'=> array(
            'name'        => __( 'About Page Stats Counter Widget', 'lawyer-landing-page-pro' ),
            'id'          => 'about-counter', 
            'description' => __( 'Add RARA: Stat Counter Widget for about page counter widgets.', 'lawyer-landing-page-pro' ),
        ),
        'about-icontext'=> array(
            'name'        => __( 'CSR Icon Widget', 'lawyer-landing-page-pro' ),
            'id'          => 'about-icontext', 
            'description' => __( 'Add RARA: Icon Text Widget for about page corporate social responsibility widgets.', 'lawyer-landing-page-pro' ),
        ),
        'header-social'=> array(
            'name'        => __( 'Header Social Icon Widget', 'lawyer-landing-page-pro' ),
            'id'          => 'header-social', 
            'description' => __( 'Add RARA: Social Links Widget for header social icon widgets.', 'lawyer-landing-page-pro' ),
        ), 
        'contact-social'=> array(
            'name'        => __( 'Contact Social Icon Widget', 'lawyer-landing-page-pro' ),
            'id'          => 'contact-social', 
            'description' => __( 'Add RARA: Social Links Widget for contact page social icon widgets.', 'lawyer-landing-page-pro' ),
        ),         
        'footer-one'=> array(
            'name'        => __( 'Footer One', 'lawyer-landing-page-pro' ),
            'id'          => 'footer-one', 
            'description' => __( 'Add footer one widgets.', 'lawyer-landing-page-pro' ),
        ),
        'footer-two'=> array(
            'name'        => __( 'Footer Two', 'lawyer-landing-page-pro' ),
            'id'          => 'footer-two', 
            'description' => __( 'Add footer two widgets.', 'lawyer-landing-page-pro' ),
        ),
        'footer-three'=> array(
            'name'        => __( 'Footer Three', 'lawyer-landing-page-pro' ),
            'id'          => 'footer-three', 
            'description' => __( 'Add footer three widgets.', 'lawyer-landing-page-pro' ),
        )
    );
    
    foreach( $sidebars as $sidebar ){
        register_sidebar( array(
    		'name'          => esc_html( $sidebar['name'] ),
    		'id'            => esc_attr( $sidebar['id'] ),
    		'description'   => esc_html( $sidebar['description'] ),
    		'before_widget' => '<section id="%1$s" class="widget %2$s">',
    		'after_widget'  => '</section>',
    		'before_title'  => '<h2 class="widget-title">',
    		'after_title'   => '</h2>',
    	) );
    }
    
    /** Dynamic sidebars */
    $dynamic_sidebars = lawyer_landing_page_pro_get_dynamnic_sidebar();
    
    foreach( $dynamic_sidebars as $k => $v ){
        if( ! empty( $v ) ){
            register_sidebar( array(
        		'name'          => esc_attr( $v ),
        		'id'            => esc_attr( $k ),
        		'description'   => '',
        		'before_widget' => '<section id="%1$s" class="widget %2$s">',
        		'after_widget'  => '</section>',
        		'before_title'  => '<h2 class="widget-title">',
        		'after_title'   => '</h2>',
        	) );
        }
    }
    
}
add_action( 'widgets_init', 'lawyer_landing_page_pro_widgets_init' );