<?php  
/**
 * Practice Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
$title   = get_theme_mod( 'practice_section_title', __( 'Areas of Practices', 'lawyer-landing-page-pro' ) );
$content = get_theme_mod( 'practice_section_desc', __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur tristique vitae magna eget elementum. Cras sed mattis enim. Duis non finibus mauris, id auctor arcu.', 'lawyer-landing-page-pro' ) );
$no_prac = ( int ) get_theme_mod( 'no_of_practice', '-1' );
$excerpt_char = get_theme_mod( 'about_practice_excerpt_char', 100 );
?>

<section id="about_practice_section" class="practice-areas">
	<div class="container">
		<?php
            if( $title || $content ){
                echo '<header class="header">';
                if( $title ) echo '<h2 class="title">' . lawyer_landing_page_pro_get_title( $title ) . '</h2>';
                if( $content ) echo wpautop( wp_kses_post( $content ) );
                echo '</header>';
            }
            
            $args = array(
                'post_type'      => 'practice',
                'post_status'    => 'publish',
                'posts_per_page' => $no_prac
            );   
            $qry = new WP_Query( $args );
            
            if( is_rara_toolkit_activated() && $qry->have_posts() ){
            ?>
        
    		<div class="row">
    			<?php while( $qry->have_posts() ){ $qry->the_post(); ?>
    			<div class="col">
    				<div class="box">
    					<?php if( has_post_thumbnail() ){ ?>
                        <div class="icon-holder"><?php the_post_thumbnail( 'thumbnail', array( 'itemprop' => 'image' ) );?></div>
    					<?php } ?>
                        
                        <div class="text-holder">
    						<?php 
                                the_title( '<h3 class="sub-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h3>' );
                                if( has_excerpt() ){
                                    the_excerpt(); 
    							}else{
                                    echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );  
    							}
                            ?>
    					</div>
    				</div>
    			</div>
                <?php } ?>
    		</div>
            
            <?php 
            }
            wp_reset_postdata(); 
        ?>
	</div>
</section>