<?php  
/**
 * About Us Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
    
$section_page = get_theme_mod( 'about_section_page' );
$about_post   = get_theme_mod( 'about_post' );
$excerpt_char = get_theme_mod( 'about_excerpt_char', 500 );
$demo_content = get_theme_mod( 'ed_demo', '1' );

$qry = new WP_Query( 
    array( 
        'post_type' => array( 'post', 'page' ), 
        'p'         => $about_post 
    )
);

if( $section_page || $about_post || $demo_content ){      
?>

<section id="about_section" class="about">
    <div class="container">
            
        <?php 
        
        if( $section_page ){
            lawyer_landing_page_pro_get_section_header( $section_page );    
        }elseif( $demo_content ){
            //Demo Content
            lawyer_landing_page_pro_demo_content( 'about', true ); 
        } 
			
        if( $about_post && $qry->have_posts() ) {
            while( $qry->have_posts() ){
                $qry->the_post();?>
				<div class="row">
				<?php if( has_post_thumbnail() ){ ?>
					<div class="img-holder">
					   <a href="<?php the_permalink(); ?>">
					        <?php the_post_thumbnail( 'lawyer-landing-page-about', array( 'itemprop' => 'image' ) ); ?>
					   </a>
					</div>
					<?php } ?>
					<div class="text-holder">
						<h3 class="sub-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
						<?php 
							if( has_excerpt() ){
                                the_excerpt(); 
							}else{
                                echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );  
							}
						?>
					</div>
				</div>
                <?php
            }
            wp_reset_postdata(); 
        }elseif( $demo_content ){
            //Demo Content
            lawyer_landing_page_pro_demo_content( 'about' );            
        }
        ?>
    </div>
</section>

<?php
}