<?php
/**
 * Blog Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
 
$section_page  = get_theme_mod( 'blog_section_page' );
$view_all      = get_theme_mod( 'blog_section_button_label', __( 'View All Blogs', 'lawyer-landing-page-pro' ) );
$excerpt_char  = get_theme_mod( 'blog_excerpt_char', 150 );
$demo_content  = get_theme_mod( 'ed_demo', '1' );
$page_for_post = get_option( 'page_for_posts' );

$qry = new WP_Query( array( 
    'post_type'           => 'post',
    'post_status'         => 'publish',
    'posts_per_page'      => 3,
    'ignore_sticky_posts' => true
) );     

if( $section_page || $qry->have_posts() || $demo_content ){ ?>

<section id="blog_section" class="blog-section">
    <div class="container">

        <?php
            
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'blog', true );
            }
             
        	if( $qry->have_posts()){
	        ?>
				<div class="row">
				<?php 
                    while( $qry->have_posts() ){ 
                        $qry->the_post(); ?>
    					<article class="post">
        					<?php if( has_post_thumbnail() ){ ?>
        						<a href="<?php the_permalink(); ?>" class="post-thumbnail">
        						   <?php the_post_thumbnail( 'lawyer-landing-page-blog', array( 'itemprop' => 'image' ) ); ?>
        						</a>
        				    <?php } ?>	
    						<div class="text-holder">
    							<header class="entry-header">
    								<h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
    								<div class="entry-meta">
    									<span class="posted-on"><a href="<?php the_permalink(); ?>"><time><?php echo esc_html( get_the_date() ); ?></time></a></span>
    								</div>
    							</header>
    							<div class="entry-content">
    							   <?php 
                                    if( has_excerpt() ){
                                        the_excerpt();
                                    }else{
                                        echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );
                                    }
                                    ?>
    							</div>
    						</div>
    					</article>
				    <?php 
                    }
                    wp_reset_postdata(); 
                    
                    
                ?>	
				</div>
			<?php 
            
            if( $page_for_post && $view_all ) echo '<div class="btn-holder"><a href="' . esc_url( get_permalink( $page_for_post ) ) . '">' . esc_html( $view_all ) . '</a></div>';
            
            }elseif( $demo_content ){
                //Demo content
                lawyer_landing_page_pro_demo_content( 'blog' );
            }
        ?>
    </div>
</section>

<?php
}