<?php
/**
 * FAQ Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
  
$section_page = get_theme_mod( 'faq_section_page' );
$no_of_faq    = get_theme_mod( 'no_of_faq', '6' );
$post_one     = get_theme_mod( 'faq_post_one' );
$post_two     = get_theme_mod( 'faq_post_two' );
$post_three   = get_theme_mod( 'faq_post_three' );
$post_four    = get_theme_mod( 'faq_post_four' );
$post_five    = get_theme_mod( 'faq_post_five' );
$post_six     = get_theme_mod( 'faq_post_six' );
$excerpt_char = get_theme_mod( 'faq_excerpt_char', 150 );  
$demo_content = get_theme_mod( 'ed_demo', '1' );
$view_all     = get_theme_mod( 'faq_section_button_label', __( 'View All FAQs', 'lawyer-landing-page-pro' ) );
$faq_order    = get_theme_mod( 'faq_order', 'date' );

$posts = array( $post_one, $post_two, $post_three, $post_four, $post_five, $post_six );
$posts = array_diff( array_unique( $posts ), array('') );
 
$args = array( 
    'post_type'   => 'faq',
    'post_status' => 'publish',
);

if( $no_of_faq == 'select_faq' && $posts ){
    $args['posts_per_page'] = -1;
    $args['post__in']       = $posts;
    $args['orderby']        = 'post__in';
}else{
    $args['posts_per_page'] = (int) $no_of_faq;
    if( $faq_order == 'menu_order' ){
        $args['orderby'] = 'menu_order title';            
        $args['order']   = 'ASC';
    }
}

$qry = new WP_Query( $args );

if( $section_page || ( $qry->have_posts() && ( $no_of_faq > 0 || ( $no_of_faq == 'select_faq' && $posts ) ) ) || $demo_content  ){
?>

<section id="faq_section" class="faq">
   <div class="container">
				
    <?php 
    	
        if( $section_page ){
            lawyer_landing_page_pro_get_section_header( $section_page );
        }elseif( $demo_content ){
            lawyer_landing_page_pro_demo_content( 'faq', true );
        }
        
		if( is_rara_toolkit_activated() && $qry->have_posts() && ( $no_of_faq > 0 || ( $no_of_faq == 'select_faq' && $posts ) ) ){ ?>
			<div class="row rara-masonry">
			<?php 
                while( $qry->have_posts() ){  
				    $qry->the_post(); ?>
				    <div class="col">
						<strong class="question"><?php the_title(); ?></strong>
                        <?php 
                            if( has_excerpt() ){
                                the_excerpt();
                            }else{
                                echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );
                            }
                        ?>
					</div>
				<?php 
                } 
                wp_reset_postdata();
            ?>	
			</div>
		<?php 
        
        if( $view_all && lawyer_landing_page_pro_cpt_has_archive( 'faq' ) ) echo '<div class="btn-holder"><a href="' . esc_url( get_post_type_archive_link( 'faq' ) ) . '">' . esc_html( $view_all ) . '</a></div>';
        
        }elseif( $demo_content ){
            //Demo Content
            lawyer_landing_page_pro_demo_content( 'faq' );
        }			 
         
    ?>
    </div>
</section>

<?php
}