<?php
/**
 * Porftolio Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
  
$section_page    = get_theme_mod( 'portfolio_section_page' );
$no_of_portfolio = (int) get_theme_mod( 'no_of_portfolio', '6' );
$demo_content    = get_theme_mod( 'ed_demo', '1' );
$view_all        = get_theme_mod( 'portfolio_section_button_label', __( 'View All Portfolios', 'lawyer-landing-page-pro' ) );
$portfolio_qry   = new WP_Query( array( 'post_type' => 'portfolio', 'post_status' => 'publish', 'posts_per_page' => $no_of_portfolio ) );

if( $section_page || ( $portfolio_qry->have_posts() && $no_of_portfolio > 0 ) || $demo_content ){
?>

<section id="portfolio_section" class="portfolio-section">
	<div class="container">
		<?php
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'portfolio', true );
            }
		?>
        
        <?php if( ( $no_of_portfolio > 0 ) || $demo_content ){ ?>
        <div class="portfolio-holder">
            <?php 
                if( is_rara_toolkit_activated() && $no_of_portfolio > 0 ){
                    lawyer_landing_page_pro_get_portfolio_buttons( true );
                    lawyer_landing_page_pro_get_portfolios( $no_of_portfolio );
                }elseif( $demo_content ){
                    lawyer_landing_page_pro_demo_content( 'portfolio' );
                }
            ?>
		</div>
        <?php 
        if( $view_all && lawyer_landing_page_pro_cpt_has_archive( 'portfolio' ) ) echo '<div class="btn-holder"><a href="' . esc_url( get_post_type_archive_link( 'portfolio' ) ) . '">' . esc_html( $view_all ) . '</a></div>';
        
        } ?>
	</div>
</section>

<?php
}