<?php
/**
 * Practice Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */     
     
$section_page   = get_theme_mod( 'practice_section_page' );
$post_one       = get_theme_mod( 'practice_post_one' );
$post_two       = get_theme_mod( 'practice_post_two' );
$post_three     = get_theme_mod( 'practice_post_three' );
$post_four      = get_theme_mod( 'practice_post_four' );
$no_of_practice = get_theme_mod( 'select_practice', '-1' );
$excerpt_char   = get_theme_mod( 'practice_excerpt_char', 100 );
$demo_content   = get_theme_mod( 'ed_demo', '1' );

$posts = array( $post_one, $post_two, $post_three, $post_four );
$posts = array_diff( array_unique( $posts ), array('') );

$args = array( 
    'post_type'   => 'practice',
    'post_status' => 'publish',
);

if( $no_of_practice == 's_practice' && $posts ){
    $args['posts_per_page'] = -1;
    $args['post__in']       = $posts;
    $args['orderby']        = 'post__in';
}else{
    $args['posts_per_page'] = (int) $no_of_practice;
}

$qry = new WP_Query( $args );
            
if( $section_page || ( $qry->have_posts() && ( $no_of_practice > 0 || ( $no_of_practice == 's_practice' && $posts ) ) ) || $demo_content  ){
?>

<section id="practice_section" class="practice-area">
    <div class="container">
				
        <?php
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'practice', true );
            }
		    
			if( is_rara_toolkit_activated() && $qry->have_posts() && ( $no_of_practice > 0 || ( $no_of_practice == 's_practice' && $posts ) ) ){ ?>
				<div class="row">
				<?php 
                while( $qry->have_posts() ){ 
                    $qry->the_post(); ?>
					<div class="col">
						<div class="box">
				            <?php if( has_post_thumbnail() ){ ?>
							<div class="icon-holder">
							     <?php the_post_thumbnail( 'thumbnail', array( 'itemprop' => 'image' ) ); ?>
							</div>
                            <?php } ?>
							<div class="text-holder">
								<h3 class="sub-title"><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h3>
                                <?php 
							        if( has_excerpt() ){
                                        the_excerpt(); 
        							}else{
                                        echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );  
        							}
						        ?>
							</div>
						</div>
					</div>
                    <?php 
                }
                wp_reset_postdata(); ?>
				</div>
                <?php 
            }elseif( $demo_content ){
                //Demo Content
                lawyer_landing_page_pro_demo_content( 'practice' );
            }
			?>
    </div>
</section>

<?php
}