<?php
/**
 * Promotional Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
 
$section_page = get_theme_mod( 'promotional_section_page' );
$button_label = get_theme_mod( 'promotional_section_button_label', __( 'Get a Free Consultation', 'lawyer-landing-page-pro' ) );
$button_link  = get_theme_mod( 'promotional_section_button_link', '#' );
$bg_color     = get_theme_mod( 'promotional_color', '#2f3945' );
$demo_content = get_theme_mod( 'ed_demo', '1' );

if( $section_page && has_post_thumbnail( $section_page ) ){
    $image = wp_get_attachment_image_url( get_post_thumbnail_id( $section_page ), 'lawyer-landing-page-pro-banner' );
    $bg = 'style="background-image:url(' . esc_url( $image ) . ') "';
}elseif( $bg_color ){
    $bg = 'style="background:' . sanitize_hex_color( $bg_color ) . '"';
}elseif( $demo_content ){
    $bg = 'style="background-image:url(' . get_template_directory_uri() . '/images/demo/promotional-bg.jpg) "';
}else{
    $bg = '';
}

if( $section_page || ( $button_label && $button_link ) || $demo_content ){

	$qry = new WP_Query( array(
        'p'         => $section_page,
        'post_type' => array( 'post', 'page' ),
    ));
    ?>
 	<section id="promotional_section" class="promotional-block" <?php echo $bg; ?>>
	    <div class="container">
	    	<div class="holder">
				<?php
				    if( $section_page && $qry->have_posts() ){ 
                        while( $qry->have_posts() ){ $qry->the_post(); 
                            the_title( '<h2>', '</h2>' );
			                the_content();
			            }
                        wp_reset_postdata();
			        }elseif( $demo_content ){
                        lawyer_landing_page_pro_demo_content( 'cta', true );			        
			        }

	                if( $button_label && $button_link ){ 
                        echo '<a href="' . esc_url( $button_link ) . '" class="btn-contact" target="_blank">' . esc_html( $button_label ) . '</a>';
                    }elseif( $demo_content ){
                        lawyer_landing_page_pro_demo_content( 'cta' );
                    }                       
	            ?>
			</div>
		</div>
	</section>

<?php
}