<?php
/**
 * Service Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
  
$section_page  = get_theme_mod( 'service_section_page' );
$no_of_service = (int) get_theme_mod( 'no_of_services', '3' );
$excerpt_char  = get_theme_mod( 'service_excerpt_char', 250 );
$demo_content  = get_theme_mod( 'ed_demo', '1' );
$view_all      = get_theme_mod( 'service_section_button_label', __( 'View All Services', 'lawyer-landing-page-pro' ) );

$qry = new WP_Query( array( 
    'post_type'      => 'service',
    'post_status'    => 'publish',  
    'posts_per_page' => $no_of_service,
) );
            
if( $section_page || ( $no_of_service > 0 && $qry->have_posts() ) || $demo_content ){
?>

<section id="service_section" class="services-section">
	<div class="container">
		<?php
        
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'service', true );
            }
            
            if( is_rara_toolkit_activated() && ( $no_of_service > 0 ) && $qry->have_posts() ){
            ?>
    		<div class="services-holder">
    			<div class="row">
    				<?php 
                        while( $qry->have_posts() ){
                            $qry->the_post(); ?>
                            <div class="col">
            					<?php 
                                if( has_post_thumbnail() ){
                                    echo '<div class="image-holder">';
                                    the_post_thumbnail( 'lawyer-landing-page-blog', array( 'itemprop' => 'image' ) );
            					    echo '</div>';
            					} 
                                
                                the_title( '<h3 class="sub-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
                                
                                if( has_excerpt() ){
                                    the_excerpt();
                                }else{
                                    echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );
                                }
                                ?>
            				</div>
            				<?php
                        }
                        wp_reset_postdata();
                    ?>
    			</div>
    		</div>
            <?php
            if( $view_all && lawyer_landing_page_pro_cpt_has_archive( 'service' ) ) echo '<div class="btn-holder"><a href="' . esc_url( get_post_type_archive_link( 'service' ) ) . '">' . esc_html( $view_all ) . '</a></div>';
            
            }elseif( $demo_content ){
                //Demo Content
                lawyer_landing_page_pro_demo_content( 'service' );
            }
        ?>
	</div>
</section>          

<?php
}