<?php
/**
 * Stat Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
  
$bg_image     = get_theme_mod( 'stat_counter_bg_image', get_template_directory_uri() . '/images/demo/back.jpg' );
$bg_color     = get_theme_mod( 'stat_counter_color', '#a2d1ed' );
$demo_content = get_theme_mod( 'ed_demo', '1' );

if( $bg_image ){
    $bg = 'style="background-image:url(' . esc_url( $bg_image ) . ')"';
}elseif( $bg_color ){
    $bg = 'style="background:' . sanitize_hex_color( $bg_color ) . '"';
}elseif( $demo_content ){
    $bg = 'style="background-image:url(' . esc_url( get_template_directory_uri() . '/images/demo/back.jpg' ) . ')"';
}else{
    $bg = '';
}

if( is_active_sidebar( 'home-counter' ) || $demo_content ){
?>

<section id="stat_section" class="sc-panel" <?php echo $bg; ?>>
	<div class="container">
		<div class="row">
			<?php
                if( is_rara_toolkit_activated() && is_active_sidebar( 'home-counter' ) ){
                    dynamic_sidebar( 'home-counter' );
                }elseif( $demo_content ){
                    lawyer_landing_page_pro_demo_content( 'stat' );
                }
			?>
		</div>
	</div>
</section>

<?php
}