<?php
/**
 * Team Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */       
       
$section_page = get_theme_mod( 'team_section_page' );
$no_of_team   = get_theme_mod( 'no_of_team', '4' );
$post_one     = get_theme_mod( 'team_post_one' );
$post_two     = get_theme_mod( 'team_post_two' );
$post_three   = get_theme_mod( 'team_post_three' );
$post_four    = get_theme_mod( 'team_post_four' );
$demo_content = get_theme_mod( 'ed_demo', '1' );
$view_all     = get_theme_mod( 'team_section_button_label', __( 'View All Team Members', 'lawyer-landing-page-pro' ) );

$posts = array( $post_one, $post_two, $post_three, $post_four );
$posts = array_diff( array_unique( $posts ), array('') );
 
$args = array( 
    'post_type'   => 'team',
    'post_status' => 'publish',
);

if( $no_of_team == 's_team' && $posts ){
    $args['posts_per_page'] = -1;
    $args['post__in']       = $posts;
    $args['orderby']        = 'post__in';
}else{
    $args['posts_per_page'] = (int) $no_of_team;
}

$qry = new WP_Query( $args );

if( $section_page || ( $qry->have_posts() && ( $no_of_team > 0 || ( $no_of_team == 's_team' && $posts ) ) ) || $demo_content  ){
?>
    
<section id="team_section" class="team">    
    <div class="container">
				
        <?php 
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'team', true );
            }
            
            if( is_rara_toolkit_activated() && $qry->have_posts() && ( $no_of_team > 0 || ( $no_of_team == 's_team' && $posts ) ) ){ ?>
				<div class="row">
				<?php 
                while( $qry->have_posts() ){ 
				    $qry->the_post(); 
                    $meta = get_post_meta( get_the_ID(), '_rttk_setting', true ); ?>
					<div class="col">
					   <div class="img-holder">
	                        <?php 
	                        if( has_post_thumbnail() ){
	                            the_post_thumbnail( 'lawyer-landing-page-team', array( 'itemprop' => 'image' ) );
	                        }
	                        else{ ?>
	                            <img src="<?php echo get_template_directory_uri(); ?>/images/no-preview.png">   
	                        <?php } ?>
							<div class="text-holder">
								<?php the_content(); ?>
							</div>
						</div>
						<?php 
                            the_title( '<strong class="name">', '</strong>' ); 
                            if( isset( $meta['team']['position'] ) && !empty($meta['team']['position']) ){ 
                                echo '<span class="designation">' . esc_html( $meta['team']['position'] ) . '</span>';
                            }
                        ?>
					</div>
				<?php } 
                wp_reset_postdata();
                ?>		
				</div>
			<?php
            
            if( $view_all && lawyer_landing_page_pro_cpt_has_archive( 'team' ) ) echo '<div class="btn-holder"><a href="' . esc_url( get_post_type_archive_link( 'team' ) ) . '">' . esc_html( $view_all ) . '</a></div>';
             
            }elseif( $demo_content ){
                //Demo content
                lawyer_landing_page_pro_demo_content( 'team' );
            } 
        ?>
    </div>
</section>

<?php
}