<?php    
/**
 * Testimonial Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */

$section_page      = get_theme_mod( 'testimonial_section_page' );
$no_of_testimonial = ( int ) get_theme_mod( 'no_of_testimonial', '-1' );
$demo_content      = get_theme_mod( 'ed_demo', '1' );
$view_all          = get_theme_mod( 'testimonial_section_button_label', __( 'View All Testimonials', 'lawyer-landing-page-pro' ) );

$qry = new WP_Query( array(
	'posts_per_page' => $no_of_testimonial,
	'post_type'      => 'testimonial',
	'post_status'    => 'publish',
));
if( $section_page || ( $no_of_testimonial !== 0 && $qry->have_posts() ) || $demo_content ){        
?>

<section id="testimonial_section" class="testimonial">
    <div class="container">
				
        <?php 
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'testimonial', true );
            }
            
			if( is_rara_toolkit_activated() && $no_of_testimonial !== 0 && $qry->have_posts() ){ ?>
				<div class="testimonial-content">
                    <?php 
                        while( $qry->have_posts() ){
                            $qry->the_post(); 
                            if( $qry->current_post == 0 ){ ?>
    					    	<div class="testimonial-holder">
    					    		<?php the_content(); ?>
    					    	</div>
                            <?php 
                            }
                        }
                        rewind_posts(); 
                    ?>
				</div>
                
				<div class="testimonial-slider owl-carousel">
					<?php 
                        while( $qry->have_posts() ){
                            $qry->the_post(); 
                            $meta = get_post_meta( get_the_ID(), '_rttk_setting', true ); ?>
    				    	<div id="testimonial-<?php the_ID(); ?>" class="testimonial-slide<?php if( $qry->current_post == 0 ) echo ' testimonial-active'; ?>">
    				      		<?php 
                                    if( has_post_thumbnail() ) the_post_thumbnail( 'thumbnail', array( 'itemprop' => 'image' ) ); 
                                    the_title( '<strong class="name">', '</strong>' );
                                    if( isset( $meta['testimonial'] ) && !empty($meta['testimonial'])){
                                        echo '<span class="designation">';
                                        if( isset( $meta['testimonial']['position'] ) && !empty($meta['testimonial']['position'])) echo esc_html( $meta['testimonial']['position'] . ' ' );
                                        if( isset( $meta['testimonial']['company'] ) && !empty($meta['testimonial']['company'])) echo '<em>' . esc_html( $meta['testimonial']['company'] ) . '</em>';
                                        echo '</span>';
                                    } 
                                ?>
    				    	</div>
				        <?php 
                        }
                        wp_reset_postdata(); 
                    ?>				  	
				</div>
			<?php 
            
            if( $view_all && lawyer_landing_page_pro_cpt_has_archive( 'testimonial' ) ) echo '<div class="btn-holder"><a href="' . esc_url( get_post_type_archive_link( 'testimonial' ) ) . '">' . esc_html( $view_all ) . '</a></div>';
            
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'testimonial' );
            }
        ?>
    </div>
</section>   
            
<?php
}            