<?php
/**
 * Why Us Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
  
$section_page = get_theme_mod( 'why_us_page' );
$post_one     = get_theme_mod( 'why_us_post_one' );
$post_two     = get_theme_mod( 'why_us_post_two' );
$post_three   = get_theme_mod( 'why_us_post_three' );
$excerpt_char = get_theme_mod( 'why_excerpt_char', 200 );
$demo_content = get_theme_mod( 'ed_demo', '1' );

$posts = array( $post_one, $post_two, $post_three );
$posts = array_diff( array_unique( $posts ), array('') );

if( $section_page || $posts || $demo_content ){
  
   
if( $section_page && has_post_thumbnail( $section_page ) ){
    $image = wp_get_attachment_image_url( get_post_thumbnail_id( $section_page ), 'lawyer-landing-page-pro-banner' );
}elseif( $demo_content ){
    $image = get_template_directory_uri() . '/images/demo/img33.jpg';
}else{
    $image = '';
}
?>

<section id="why_section" class="why-us" style="background-image: url( <?php echo esc_url( $image ); ?> );">
    <div class="container">
				
        <?php 
            
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'why', true );
            }
			
            $qry = new WP_Query( array( 
                'post_type'           => array( 'post', 'page' ),
                'post_status'         => 'publish',  
                'posts_per_page'      => -1,
                'post__in'            => $posts,
                'orderby'             => 'post__in',
                'ignore_sticky_posts' => true
            ) );
            
            if( $posts && $qry->have_posts() ){?>
				<div class="row">
				    <?php 
                    while( $qry->have_posts() ){ 
                        $qry->the_post(); ?>
                        <div class="col">
                            <div class="box">
                                <?php if( has_post_thumbnail() ){ ?>
                                    <div class="icon-holder"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
                                <?php } ?>
                                <div class="text-holder">
                                <h3 class="sub-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                <?php 
                                if( has_excerpt() ){
                                    the_excerpt();    
                                }else{
                                    echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) ); 
                                }
                                ?>
                                </div>
                            </div>
                        </div>
				    <?php 
                    } 
                wp_reset_postdata();        
                ?>					
                </div>
                <?php 
            }elseif( $demo_content ){
                //Demo Content
                lawyer_landing_page_pro_demo_content( 'why' );
            } 
        ?>
    </div>
</section>

<?php
}