<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

$excerpt_char = get_theme_mod( 'excerpt_char', 250 );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    
    <?php if( has_post_thumbnail() ){ ?>
    <div class="image-holder">
		<?php the_post_thumbnail( 'lawyer-landing-page-blog', array( 'itemprop' => 'image' ) );?>
	</div>
    <?php } ?>
    
    <?php 
        the_title( '<h3 class="sub-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
        
        if( has_excerpt() ){
            the_excerpt();
        }else{
            echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) ); 
        }
    ?>
	 
	<footer class="entry-footer">
        <?php lawyer_landing_page_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->