<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

$meta     = get_post_meta( get_the_ID(), '_rttk_setting', true );
$practice = get_post_meta( get_the_ID(), '_lawyer_landing_page_pro_team_practice', true );
$p_label  = 'AREAS OF PRACTICE'; //if needed from customizer
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="row">
		
        <?php if( has_post_thumbnail() ){ ?>
        <div class="col large">
            <div class="img-holder">
    			<?php the_post_thumbnail( 'lawyer-landing-page-single-team' ); ?>
    		</div>
        </div>
		<?php } ?>
        
        <div class="col">
			<div class="top">
				<?php 
                    the_title( '<h2 class="name">', '</h2>' ); 
				    if( isset( $meta['team']['position'] ) ){ ?><span class="designation"><?php echo esc_html( $meta['team']['position'] ); ?></span><?php } ?>                
			</div>
            
			<div class="team-info">
				<?php if( isset( $meta['team']['email'] ) && !empty( $meta['team']['email'] )){ ?>
					<span>
						<a href="<?php echo esc_url( 'mailto:' . $meta['team']['email'] ); ?>"><?php echo esc_html( $meta['team']['email'] ); ?></a>
					</span>
				<?php } ?>
				<?php if( isset( $meta['team']['telephone'] ) && ! empty( $meta['team']['telephone'] ) ){ ?>
					<span>
						<a href="<?php echo esc_url( 'tel:' . preg_replace('/\D/', '', $meta['team']['telephone']) ); ?>"><?php printf( 'Tel: %s', $meta['team']['telephone'] ); ?></a>
						</span>
				<?php } ?>
				<?php if( isset( $meta['team']['social'] ) && !empty( $meta['team']['social'] ) ){ ?>
                <ul class="social-networks">
					<?php 
                    foreach( $meta['team']['social'] as $social ){ 
					   if( class_exists( 'Rara_Theme_Toolkit_Pro_Functions' ) ){ 
					       $c = new Rara_Theme_Toolkit_Pro_Functions(); 
                           $icon = $c->rttk_get_team_social_icon_name( $social );
                           if( !empty( $icon )) {
                           ?>
	                        <li><a href="<?php echo esc_url( $social ); ?>" ><i class="fab fa-<?php echo esc_attr( $icon )?>"></i></a></li>
	                        <?php
                    		}
                        }
                    } 
                    ?>
				</ul>
                <?php } ?>
			</div>
			
            <?php if( $practice ){ ?>
            <div class="more-info">
				<strong><?php echo esc_html( $p_label ); ?></strong>
				<?php echo wpautop( wp_kses_post( $practice ) ); ?>
			</div>
            <?php } ?>      
		</div>
        
	</div><!-- .row -->
    
    <div class="text-holder"><?php the_content(); ?></div>
     
	<footer class="entry-footer">
        <?php lawyer_landing_page_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->
