<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php 
    /**
     * Before Page entry content
     * 
     * @hooked lawyer_landing_page_pro_post_content_image - 10
     * @hooked lawyer_landing_page_pro_post_entry_header  - 20
     * @hooked lawyer_landing_page_pro_social_share       - 30  
    */
    do_action( 'lawyer_landing_page_pro_before_post_entry_content' );    
    ?>
    
	<div class="entry-content" itemprop="text">
		<?php		
    		the_content( sprintf(
    			/* translators: %s: Name of current post. */
    			wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'lawyer-landing-page-pro' ), array( 'span' => array( 'class' => array() ) ) ),
    			the_title( '<span class="screen-reader-text">"', '"</span>', false )
    		) );
    	
    		wp_link_pages( array(
    			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'lawyer-landing-page-pro' ),
    			'after'  => '</div>',
    		) );
		?>
	</div><!-- .entry-content -->
     
     
	<footer class="entry-footer">
		<?php lawyer_landing_page_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->
