<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

$meta         = get_post_meta( get_the_ID(), '_rttk_setting', true );
$excerpt_char = get_theme_mod( 'excerpt_char', 250 );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="team-holder">
		
        <?php if( has_post_thumbnail() ){ ?>
        <div class="img-holder">
			<a href="<?php the_permalink(); ?>" class="team-thumbnail"><?php the_post_thumbnail( 'lawyer-landing-page-blog', array( 'itemprop' => 'image' ) ); ?></a>
		</div>
		<?php } ?>
        
        <div class="text-holder">
			<div class="top">
				<h2 class="name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<?php if( $meta['team']['position'] ){ ?><span class="designation"><?php echo esc_html( $meta['team']['position'] ); ?></span><?php } ?>                
			</div>
            
			<div class="team-info">
				<?php if( $meta['team']['email'] ){ ?><span><a href="<?php echo esc_url( 'mailto:' . $meta['team']['email'] ); ?>"><?php echo esc_html( $meta['team']['email'] ); ?></a></span><?php } ?>
				<?php if( $meta['team']['telephone'] ){ ?><span><a href="<?php echo esc_url( 'tel:' . preg_replace('/\D/', '', $meta['team']['telephone']) ); ?>"><?php printf( 'Tel: %s', $meta['team']['telephone'] ); ?></a></span><?php } ?>
				<?php if( $meta['team']['social'] ){ ?>
                <ul class="social-networks">
					<?php 
                    foreach( $meta['team']['social'] as $social ){ 
                        if( class_exists( 'Rara_Theme_Toolkit_Pro_Functions' ) ){ 
					       $c = new Rara_Theme_Toolkit_Pro_Functions(); 
                           $icon = $c->rttk_get_team_social_icon_name( $social );
                           ?>
                        <li><a href="<?php echo esc_url( $social ); ?>"><i class="fab fa-<?php echo esc_attr( $icon )?>"></i></a></li>
                        <?php
                        }
                    } 
                    ?>
				</ul>
                <?php } ?>
			</div>
			<?php 
            if( has_excerpt() ){
                the_excerpt();
            }else{            
                echo wpautop( wp_kses_post( force_balance_tags( lawyer_landing_page_pro_excerpt( get_the_content(), $excerpt_char ) ) ) );
            }                
            ?>                
		</div>
        
	</div><!-- .team -->
     
	<footer class="entry-footer">
        <?php lawyer_landing_page_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->
