<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

$meta = get_post_meta( get_the_ID(), '_rttk_setting', true );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    
    <?php if( has_post_thumbnail() ){ ?>
    <div class="image-holder">
		<?php the_post_thumbnail( 'lawyer-landing-page-team', array( 'itemprop' => 'image' ) );?>
	</div>
    <?php } ?>
    
    <div class="text-holder">
        <div class="info">
			<?php 
                the_title( '<strong class="name">', '</strong>' ); 
                if( isset( $meta['testimonial'] ) ){
                    echo '<span class="designation">';
                    if( isset( $meta['testimonial']['position'] ) ) echo esc_html( $meta['testimonial']['position'] . ' ' );
                    if( isset( $meta['testimonial']['company'] ) ) echo '<em>' . esc_html( $meta['testimonial']['company'] ) . '</em>';
                    echo '</span>';
                }    
            ?>
		</div>
        <?php the_content(); ?>
	</div>
     
	<footer class="entry-footer">
        <?php lawyer_landing_page_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->