<?php
/**
 * Template Name: Contact Page
 *
 * @package Lawyer_Landing_Page_Pro
 */
 
get_header(); 

while ( have_posts() ) : the_post(); 

$ed_map  = get_theme_mod( 'ed_google_map', '1' );
$cinfo   = get_theme_mod( 'contact_info_title', __( 'Contact Info', 'lawyer-landing-page-pro' ) );
$ctext   = get_theme_mod( 'contact_info_content', __( 'The contact page is just for demonstration purpose. Please DON\'T contact us via the contact form. For any questions or support, contact us on our support forum.', 'lawyer-landing-page-pro' ) );
$address = get_theme_mod( 'contact_address', __( 'Thamel, Kathmandu, Nepal<br/>P.O. Box no. :8942, CPC 599', 'lawyer-landing-page-pro' ) );
$phone   = get_theme_mod( 'phone', __( '(888) 123-45678', 'lawyer-landing-page-pro' ) );
$cphone  = get_theme_mod( 'contact_phone', __( '(888) 123-456789', 'lawyer-landing-page-pro' ) );
$as_in   = get_theme_mod( 'ed_asin_header_phone', '1' );
$telephn = $as_in ? $phone : $cphone;
$faxes   = get_theme_mod( 'contact_fax', __( '+977- 9841927878(Kabiraj), +977- 98410358(Sujan)', 'lawyer-landing-page-pro' ) );
$faxes   = explode( ',', $faxes );
$emails  = get_theme_mod( 'contact_email', __( 'info@lawyerlanding.com, info@raratheme.com, support@raratheme.com', 'lawyer-landing-page-pro' ) );
$emails  = explode( ',', $emails );

?>

<div class="inner-page contact-page<?php if( !( $ed_map || has_post_thumbnail() ) ) echo ' no-map'; ?>">
	
    <?php 
    if( $ed_map ){ 
        echo '<div id="map" class="map-holder"></div>';
    }elseif( has_post_thumbnail() ){
        echo '<div class="image-holder">';
        the_post_thumbnail( 'lawyer-landing-page-contact', array( 'itemprop' => 'image' ) );
        echo '</div>';
    }        
    ?>
    
    <div class="more-info">
		<div class="container">
			<div class="contact-holder">
				<div class="row">
					
					<div class="col">
						<div class="form-holder">
                            <?php the_content(); ?>
						</div>
					</div>
                                        
                    <div class="col">
						<?php 
                            if( $cinfo ) echo '<h2 class="title">' . esc_html( $cinfo ) . '</h2>';
                            if( $ctext ) echo wpautop( wp_kses_post( $ctext ) );
                        ?>
                        
                        <div class="contact-info">
							<?php if( $address ){ ?>
                            <div class="left-panel">
								<div class="text">
									<i class="fa fa-map-marker" aria-hidden="true"></i>
									<div class="right">
										<?php echo wpautop( wp_kses_post( $address ) ); ?>
									</div>
								</div>
							</div>
							<?php } ?>
                            
                            <?php if( isset( $telephn ) ){ ?>
                            <div class="text">
								<i class="fa fa-phone" aria-hidden="true"></i>
								<div class="right">
									<span><b><a href="<?php echo esc_url( 'tel:' . preg_replace( '/\D/', '', $telephn ) ); ?>"><?php echo esc_html( $telephn ); ?></a></b></span>
								</div>
							</div>
                            <?php } ?>
							
                            <?php if( is_array( $faxes ) ){ ?>
                            <div class="text">
								<i class="fa fa-phone" aria-hidden="true"></i>
								<div class="right">
									<?php foreach( $faxes as $fax ){ ?>
                                    <span><b><a href="<?php echo esc_url( 'tel:' . preg_replace( '/\D/', '', $fax ) ); ?>"><?php echo esc_html( $fax ); ?></a></b></span>
                                    <?php } ?>
								</div>
							</div>
                            <?php } ?>
						</div>
					
                    
						<div class="right-panel">
							<div class="contact-info">
								<div class="text">
									<?php if( is_array( $emails ) ){ ?>
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
    									<div class="right">
    										<?php foreach( $emails as $email ){ ?>
                                                <span><a href="<?php echo esc_url( 'mailto:' . $email ); ?>"><?php echo esc_html( $email ); ?></a></span>
                                            <?php } ?>
    									</div>
                                     <?php }
                                     if( is_active_sidebar( 'contact-social' ) ) dynamic_sidebar( 'contact-social' );
                                     ?>
								</div>
							</div>
						</div>
                        
					</div>
                    
				</div>
			</div>
		</div>
	</div>
</div>


<?php
endwhile; // End of the loop.

get_footer();