<?php
	global $post;
	$rttk_setting = get_post_meta( $post->ID, '_rttk_setting', true );
  /**
    * Get team post type fields
    *
    * @return array of default fields
    */
    function rttk_get_team_fields_array() {
        $fields = 
            array(
            'position' => 
                    array( 
                        'name'          =>'Position',
                        'key'           =>'position',
                        'class'         =>'',    
                        'id'            =>'position',
                        'type'          =>'text'
                        ),
            'email' => 
                    array( 
                        'name'          =>'Email',
                        'key'           =>'email',
                        'class'         =>'',    
                        'id'            =>'email',
                        'type'          =>'email'
                        ),
            'telephone' => 
                    array( 
                        'name'          =>'Telephone',
                        'key'           =>'telephone',
                        'class'         =>'',    
                        'id'            =>'telephone',
                        'type'          =>'tel'
                        ),
            );
        $field = apply_filters( 'rttk_get_team_fields_array', array() );
        $fields = array_merge( $fields,$field );
        return $fields;
    }
$team_fields = rttk_get_team_fields_array();
$remove_keys = apply_filters('remove_team_template_key',array());
foreach ($team_fields as $key => $value) {
    if (!in_array($key,$remove_keys)) {
    ?>
    <div class="team-info">
        <label for="<?php echo $key;?>"><?php _e($value['name'].':','rara-theme-toolkit-pro');?></label>
        <input type="<?php echo $value['type'];?>" class="<?php echo $value['class'];?>" name="rttk_setting[team][<?php echo $key;?>]" id="<?php echo $value['id'];?>" value="<?php echo isset($rttk_setting['team'][$key]) ? esc_attr($rttk_setting['team'][$key]): ''; ?>">
    </div>
<?php
    }
}
?>

<ul class="rttk-team-sortable-icons">
	<?php
    $obj = new Rara_Theme_Toolkit_Pro_Functions;
	if(isset($rttk_setting['team']['social']))
	{
	    $icons  = $rttk_setting['team']['social'];
	    $arr_keys  = array_keys( $icons );
	    foreach ($arr_keys as $key => $value)
	    { 
            if ( array_key_exists( $value, $rttk_setting['team']['social'] ) )
	        { 
	            if(isset($rttk_setting['team']['social'][$value]) && !empty($rttk_setting['team']['social'][$value]))
                {
                    if(!isset($rttk_setting['team']['social_profile'][$value]) || (isset($rttk_setting['team']['social_profile'][$value]) && $rttk_setting['team']['social_profile'][$value] == ''))
                    {
                        $icon = $obj->rttk_get_team_social_icon_name( $rttk_setting['team']['social'][$value] );
                        $class = ($icon == 'rss') ? 'fas fa-'.$icon : 'fab fa-'.$icon;
                    }
                    elseif(isset($rttk_setting['team']['social_profile'][$value]) && !empty($rttk_setting['team']['social_profile'][$value]))
                    {
                        $icon = $rttk_setting['team']['social_profile'][$value] ;
                        $class = ($icon == 'rss') ? 'fas fa-'.$icon : 'fab fa-'.$icon;
                    }
    	            ?>
    	            <li class="rttk-social-icon-wrap" data-id="<?php echo $value;?>">
	                    <span class="rttk-social-icons-field-handle"><i class="<?php echo esc_attr($class);?>"></i></span>
                        <label for="team-social-profile"><?php esc_html_e( 'Social Icon', 'rara-theme-toolkit-pro' ); ?></label>
                        <span class="example-text">Example: facebook</span>
                        <input class="team-social-profile" name="rttk_setting[team][social_profile][<?php echo esc_attr($value);?>]" type="text" value="<?php echo esc_attr($icon);?>" autocomplete="off" />
                        <label for="team-social-length"><?php esc_html_e( 'Link', 'rara-theme-toolkit-pro' ); ?></label>
                        <span class="example-text">Example: http://facebook.com</span>
	                    <input class="team-social-length" name="rttk_setting[team][social][<?php echo esc_attr($value);?>]" type="text" value="<?php echo esc_url($rttk_setting['team']['social'][$value]);?>" />
	                    <span class="del-team-icon"><i class="fas fa-times"></i></span>
    	            </li>
	           <?php
                }
	        }
	    }
	}
	?>
    <div class="rttk-social-icon-holder"></div>
</ul>
<input class="rttk-team-social-add button-secondary" type="button" value="<?php _e('Add Icon','rara-theme-toolkit-pro');?>">
<span class="widget-note"><?php _e('Click the above button to add social icons. You can sort them as well.','rara-theme-toolkit-pro');?></span>

